package com.hjy.web.controller.common;

import com.hjy.common.core.domain.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;


/**
 * 验证码操作处理
 *
 * @author HJY
 */
@RestController
public class CaptchaController {

    @Autowired
    private CaptchaUtils captchaUtils;

    @GetMapping("/captchaImage")
    public AjaxResult getCode(HttpServletResponse response) throws IOException {
        return captchaUtils.getCaptchaData();
    }
}
