package com.hjy.common.core.domain.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SysDictModel {

    @ApiModelProperty
    private String dictcode;

    @ApiModelProperty("字典键")
    private String value;

    @ApiModelProperty("字典值")
    private String text;

    public SysDictModel(String dictcode,String value, String text) {
        this.dictcode = dictcode;
        this.value = value;
        this.text = text;
    }

    public SysDictModel(String value, String text) {
        this.value = value;
        this.text = text;
    }


}
