package com.hjy.module.domain.norm;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 辅助指标分类对象 CB_QUOTA
 *
 * @author Tellsea
 * @date 2023-10-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbQuota extends BaseEntity {

    /**
     * id
     */
    @Excel(name = "id")
    private String id;

    /**
     * 删除标识
     */
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 辅助指标分类名称
     */
    @Excel(name = "辅助指标分类名称")
    private String name;

    /**
     * 辅助指标分类编号
     */
    @Excel(name = "辅助指标分类编号")
    private String code;

    /**
     * 状态(1启用,0不启用)
     */
    @Excel(name = "状态(1启用,0不启用)")
    private String status;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private String sort;

}
