package com.hjy.module.domain.norm;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 对象 CB_QUOTA_BONDED_FEE
 *
 * @author Tellsea
 * @date 2023-10-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbQuotaBondedFee extends BaseEntity {

    /**
     * id
     */
    @Excel(name = "id")
    private String id;

    /**
     * 辅助指标录入主表id
     */
    @Excel(name = "辅助指标录入主表id")
    private String quotaBondedId;

    /**
     * 指标id
     */
    @Excel(name = "指标id")
    private String quotaId;

    /**
     * 指标名称
     */
    @Excel(name = "指标名称")
    private String quotaName;

    /**
     * 分数
     */
    @Excel(name = "分数")
    private String score;

    /**
     * 附件名称
     */
    @Excel(name = "附件名称")
    private String fileNames;

    /**
     * 附件地址
     */
    @Excel(name = "附件地址")
    private String linkUrls;

    /**
     * 文字说明
     */
    @Excel(name = "文字说明")
    private String remark;

    /**
     * 数值
     */
    @Excel(name = "数值")
    private String numValue;

    /**
     * 确认方式
     */
    @Excel(name = "确认方式")
    private String enterType;

}
