package com.hjy.module.domain.portal;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 保税区管理对象 CB_BONDED
 *
 * @author Tellsea
 * @date 2023-09-08
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbBonded extends BaseEntity {

    /**
     * 主键id
     */
    @Excel(name = "主键id")
    private String id;

    /**
     * 删除标记
     */
    @Excel(name = "删除标记")
    private String delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 保税区名称
     */
    @Excel(name = "保税区名称")
    private String bondedName;

    /**
     * 场站编号
     */
    @Excel(name = "场站编号")
    private String yardNumber;

    /**
     * 成立时间
     */
    @Excel(name = "成立时间")
    private String establishedTime;

    /**
     * 地址
     */
    @Excel(name = "地址")
    private String site;

}
