package com.hjy.module.domain.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 咨询标签对象 CB_MARK
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbMark extends BaseEntity {

    /**
     * $column.columnComment
     */
    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 删除标识
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;

    /**
     * 标签名称
     */
    @Excel(name = "标签名称")
    private String mark;

    /**
     * 标签编号
     */
    @Excel(name = "标签编号")
    private String markId;

}
