package com.hjy.module.domain.report;

import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 模板报告对象 REPORT_WORD
 *
 * @author Tellsea
 * @date 2024-05-06
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ReportWord extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 报告ID
     */
    @Excel(name = "报告ID")
    private String recordId;

    @Excel(name = "wordName")
    private String wordName;

    /**
     * 路径
     */
    @Excel(name = "路径")
    private String wordPath;

}
