package com.hjy.module.domain.report;

import com.hjy.common.utils.StringUtils;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Accessors(chain = true)
public class TradeTypeReportDTO extends ReportDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -------------------------------综保区业务进出口总值---------------------------------
     */

    /**
     * 全区合计（加工贸易+保税物流）
     */
    private String tradeTypeAllTotal;
    private String tradeTypeAllTotalGxPercent;
    /**
     * 全区合计（加工贸易+保税物流）同比描述+同比
     */
    private String tradeTypeAllTotalIncDesc;
    private String tradeTypeAllTotalInc;
    private String tradeTypeAllTotalIncAbs;
    /**
     * 南宁
     */
    private String tradeTypeNNTotal;
    private String tradeTypeNNTotalInc;
    private String tradeTypeNNTotalIncDesc;
    private String tradeTypeNNTotalIncAbs;

    /**
     * 梧州
     */
    private String tradeTypeWZTotal;
    private String tradeTypeWZTotalInc;
    private String tradeTypeWZTotalIncDesc;
    private String tradeTypeWZTotalIncAbs;

    /**
     * 北海
     */
    private String tradeTypeBHTotal;
    private String tradeTypeBHTotalInc;
    private String tradeTypeBHTotalIncDesc;
    private String tradeTypeBHTotalIncAbs;

    /**
     * 钦州
     */
    private String tradeTypeQZTotal;
    private String tradeTypeQZTotalInc;
    private String tradeTypeQZTotalIncDesc;
    private String tradeTypeQZTotalIncAbs;


    /**
     * 凭祥
     */
    private String tradeTypePXTotal;
    private String tradeTypePXTotalInc;
    private String tradeTypePXTotalIncDesc;
    private String tradeTypePXTotalIncAbs;

    /**
     * -------------------------------加工贸易--------------------------------
     */

    /**
     * 全区合计（加工贸易+保税物流）
     */
    private String tradeJGAllTotal;
    /**
     * 全区合计（加工贸易+保税物流）同比
     */
    private String tradeJGAllTotalInc;
    private String tradeJGAllTotalIncDesc;
    private String tradeJGAllTotalIncAbs;
    /**
     * 南宁
     */
    private String tradeJGNNTotal;
    private String tradeJGNNTotalInc;
    private String tradeJGNNTotalIncDesc;
    private String tradeJGNNTotalIncAbs;

    /**
     * 梧州
     */
    private String tradeJGWZTotal="-";
    private String tradeJGWZTotalInc="-";
    private String tradeJGWZTotalIncDes="-";
    private String tradeJGWZTotalIncAbs="-";

    /**
     * 北海
     */
    private String tradeJGBHTotal;
    private String tradeJGBHTotalInc;
    private String tradeJGBHTotalIncDesc;
    private String tradeJGBHTotalIncAbs;

    /**
     * 钦州
     */
    private String tradeJGQZTotal;
    private String tradeJGQZTotalInc;
    private String tradeJGQZTotalIncDesc;
    private String tradeJGQZTotalIncAbs;


    /**
     * 凭祥
     */
    private String tradeJGPXTotal;
    private String tradeJGPXTotalInc;
    private String tradeJGPXTotalIncDesc;
    private String tradeJGPXTotalIncAbs;

    /**
     * -------------保税物流-------------
     */

    /**
     * 全区合计（保税物流）
     */
    private String tradeBSAllTotal;
    /**
     * 全区合计（保税物流）同比
     */
    private String tradeBSAllTotalInc;
    private String tradeBSAllTotalIncDesc;
    private String tradeBSAllTotalIncAbs;
    /**
     * 南宁
     */
    private String tradeBSNNTotal;
    private String tradeBSNNTotalInc;
    private String tradeBSNNTotalIncDesc;
    private String tradeBSNNTotalIncAbs;

    /**
     * 梧州
     */
    private String tradeBSWZTotal;
    private String tradeBSWZTotalInc;
    private String tradeBSWZTotalIncDesc;
    private String tradeBSWZTotalIncAbs;

    /**
     * 北海
     */
    private String tradeBSBHTotal;
    private String tradeBSBHTotalInc;
    private String tradeBSBHTotalIncDesc;
    private String tradeBSBHTotalIncAbs;

    /**
     * 钦州
     */
    private String tradeBSQZTotal;
    private String tradeBSQZTotalInc;
    private String tradeBSQZTotalIncDesc;
    private String tradeBSQZTotalIncAbs;


    /**
     * 凭祥
     */
    private String tradeBSPXTotal;
    private String tradeBSPXTotalInc;
    private String tradeBSPXTotalIncDesc;
    private String tradeBSPXTotalIncAbs;

    /**
     * ------------------------------------保税业务进出口值占所在地外贸进出口总值的比重----------------------------
     */
    private String bsTradeAllPercent;
    private String bsNNTradeAllPercent;
    private String bsBHTradeAllPercent;
    private String bsQZTradeAllPercent;
    private String bsPXTradeAllPercent;
    private String bsWZTradeAllPercent;






}
