package com.hjy.module.domain.reportsetting;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 模板设置对象 REPORT_SETTING
 *
 * @author Tellsea
 * @date 2024-04-25
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ReportSetting extends BaseEntity {

    /**
     * $column.columnComment
     */

    private String id;



    /**
     * 最小值
     */
    @Excel(name = "最小值")
    private String minNum;

    /**
     * 最大值
     */
    @Excel(name = "最大值")
    private String maxNum;

    /**
     * 描述
     */
    @Excel(name = "描述")
    private String description;

}
