package com.hjy.module.domain.template;

import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 特定地区进出口总值（人民币）对象 EXCEL_OUT_IN_TOTAL
 *
 * @author Tellsea
 * @date 2024-04-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ExcelOutInTotal extends BaseEntity {


    /**
     * id
     */
    @Excel(name = "id")
    private String id;

    /**
     * 删除标识
     */
    @Excel(name = "删除标识")
    private String delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private String deptId;
    /**
     * 排名
     */
    private int index;
    /**
     * 名称
     */
    private String name;
    /**
     * 当月 1月
     */
    private String currentMonth;
    /**
     * 累计月1-2月
     */
    private String cumulativeMonth;
    /**
     * 当月总值
     */
    private String totalCurrentMonth;
    /**
     * 累计当前月总值-----------
     */
    private String totalCumulativeMonth;
    private String outCurrentMonth;
    private String outCumulativeMonth;
    private String inCurrentMonth;
    private String inCumulativeMonth;
    /**
     * 进出口同比----------
     */
    private String totalInc;
    private String outInc;
    private String inInc;

    private String reportId;
}
