package com.hjy.module.mapper.activecompanies;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.hjy.module.domain.activecompanies.ActiveCompanies;
import com.hjy.module.vo.activecompanies.ActiveCompaniesVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 历年活跃企业数Mapper接口
 *
 * @author Tellsea
 * @date 2024-05-28
 */
public interface ActiveCompaniesMapper extends BaseMapper<ActiveCompanies> {

    Page<ActiveCompaniesVo> queryList(Page<?> page, @Param("entity") ActiveCompaniesVo entity);

    List<ActiveCompaniesVo> queryList(@Param("entity") ActiveCompaniesVo entity);

    ActiveCompaniesVo queryById(@Param("id") String id);

}
