package com.hjy.module.mapper.apiconfig;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.apiconfig.CbApiConfig;
import com.hjy.module.vo.apiconfig.CbApiConfigVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据接口api配置Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-01
 */
public interface CbApiConfigMapper extends BaseMapper<CbApiConfig> {

    Page<CbApiConfigVo> queryList(Page<?> page, @Param("entity") CbApiConfigVo entity);

    List<CbApiConfigVo> queryList(@Param("entity") CbApiConfigVo entity);

    CbApiConfigVo queryById(@Param("id") String id);

}