package com.hjy.module.mapper.article;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.article.CbArticleDate;
import com.hjy.module.vo.article.CbArticleDateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 重点项目填报时间配置Mapper接口
 *
 * @author Tellsea
 * @date 2023-11-30
 */
public interface CbArticleDateMapper extends BaseMapper<CbArticleDate> {

    Page<CbArticleDateVo> queryList(Page<?> page, @Param("entity") CbArticleDateVo entity);

    List<CbArticleDateVo> queryList(@Param("entity") CbArticleDateVo entity);

    CbArticleDateVo queryById(@Param("id") String id);

}
