package com.hjy.module.mapper.commom;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.commom.CbSystemHis;
import com.hjy.module.vo.commom.CbSystemHisVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 业务变更历史表Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface CbSystemHisMapper extends BaseMapper<CbSystemHis> {

    Page<CbSystemHisVo> queryList(Page<?> page, @Param("entity") CbSystemHisVo entity);

    List<CbSystemHisVo> queryList(@Param("entity") CbSystemHisVo entity);

    CbSystemHisVo queryById(@Param("id") String id);

}
