package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbBondedScreenData;
import com.hjy.module.vo.garden.TbBondedScreenDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 保税区大屏所需数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-28
 */
public interface TbBondedScreenDataMapper extends BaseMapper<TbBondedScreenData> {

    Page<TbBondedScreenDataVo> queryList(Page<?> page, @Param("entity") TbBondedScreenDataVo entity);

    List<TbBondedScreenDataVo> queryList(@Param("entity") TbBondedScreenDataVo entity);

    TbBondedScreenDataVo queryById(@Param("id") String id);

}
