package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbBondedUpply;
import com.hjy.module.vo.garden.TbBondedUpplyVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 保税区供应链数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-28
 */
public interface TbBondedUpplyMapper extends BaseMapper<TbBondedUpply> {

    Page<TbBondedUpplyVo> queryList(Page<?> page, @Param("entity") TbBondedUpplyVo entity);

    List<TbBondedUpplyVo> queryList(@Param("entity") TbBondedUpplyVo entity);

    TbBondedUpplyVo queryById(@Param("id") String lddwmc);

}
