package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbEconomicsIndex;
import com.hjy.module.vo.garden.TbEconomicsIndexVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 综合保税区经济运行主要指标Mapper接口
 *
 * @author Mechrevo
 * @date 2023-09-27
 */
public interface TbEconomicsIndexMapper extends BaseMapper<TbEconomicsIndex> {

    Page<TbEconomicsIndexVo> queryList(Page<?> page, @Param("entity") TbEconomicsIndexVo entity);

    List<TbEconomicsIndexVo> queryList(@Param("entity") TbEconomicsIndexVo entity);

    TbEconomicsIndexVo queryById(@Param("id") String id);

    List<TbEconomicsIndexVo> selectByTime(@Param("createTime") Date time);
}
