package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbEnterpriseScreenData;
import com.hjy.module.vo.garden.TbEnterpriseScreenDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业大屏所需供应商数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface TbEnterpriseScreenDataMapper extends BaseMapper<TbEnterpriseScreenData> {

    Page<TbEnterpriseScreenDataVo> queryList(Page<?> page, @Param("entity") TbEnterpriseScreenDataVo entity);

    List<TbEnterpriseScreenDataVo> queryList(@Param("entity") TbEnterpriseScreenDataVo entity);

    TbEnterpriseScreenDataVo queryById(@Param("id") String id);

}
