package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbEnterpriseTradePerformance;
import com.hjy.module.vo.garden.TbEnterpriseTradePerformanceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业贸易绩效数据（每个月填报）Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface TbEnterpriseTradePerformanceMapper extends BaseMapper<TbEnterpriseTradePerformance> {

    Page<TbEnterpriseTradePerformanceVo> queryList(Page<?> page, @Param("entity") TbEnterpriseTradePerformanceVo entity);

    List<TbEnterpriseTradePerformanceVo> queryList(@Param("entity") TbEnterpriseTradePerformanceVo entity);

    TbEnterpriseTradePerformanceVo queryById(@Param("id") String id);

}
