package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbGardenTradeData;
import com.hjy.module.vo.garden.TbGardenTradeDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 园区贸易数据Mapper接口
 *
 * @author Mechrevo
 * @date 2023-09-26
 */
public interface TbGardenTradeDataMapper extends BaseMapper<TbGardenTradeData> {

    Page<TbGardenTradeDataVo> queryList(Page<?> page, @Param("entity") TbGardenTradeDataVo entity);

    List<TbGardenTradeDataVo> queryList(@Param("entity") TbGardenTradeDataVo entity);

    TbGardenTradeDataVo queryById(@Param("gardenId") String gardenId);

}
