package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbImportantProject;
import com.hjy.module.vo.garden.TbImportantProjectVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 重点项目数据							 Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface TbImportantProjectMapper extends BaseMapper<TbImportantProject> {

    Page<TbImportantProjectVo> queryList(Page<?> page, @Param("entity") TbImportantProjectVo entity);

    List<TbImportantProjectVo> queryList(@Param("entity") TbImportantProjectVo entity);

    TbImportantProjectVo queryById(@Param("id") String id);

}
