package com.hjy.module.mapper.gather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.gether.CbGatherWarning;
import com.hjy.module.vo.gather.CbGatherWarningVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据采集预警Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface CbGatherWarningMapper extends BaseMapper<CbGatherWarning> {

    Page<CbGatherWarningVo> queryList(Page<?> page, @Param("entity") CbGatherWarningVo entity);

    List<CbGatherWarningVo> queryList(@Param("entity") CbGatherWarningVo entity);

    CbGatherWarningVo queryById(@Param("id") String id);

}
