package com.hjy.module.mapper.news;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.news.CbNews;
import com.hjy.module.vo.news.CbNewsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 网站新闻Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-22
 */
public interface CbNewsMapper extends BaseMapper<CbNews> {

    Page<CbNewsVo> queryList(Page<?> page, @Param("entity") CbNewsVo entity,@Param("num") Long num);

    List<CbNewsVo> queryList(@Param("entity") CbNewsVo entity,@Param("num") Long num);

    CbNewsVo queryById(@Param("id") String id);

    Integer selectTop();

}
