package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbNorm;
import com.hjy.module.vo.norm.CbNormVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 指标分类Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-21
 */
public interface CbNormMapper extends BaseMapper<CbNorm> {

    Page<CbNormVo> queryList(Page<?> page, @Param("entity") CbNormVo entity);

    List<CbNormVo> queryList(@Param("entity") CbNormVo entity);

    CbNormVo queryById(@Param("id") String id);

}
