package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbQuotaBonded;
import com.hjy.module.vo.norm.CbQuotaBondedVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 辅助指标-综保区Mapper接口
 *
 * @author lbl
 * @date 2023-10-09
 */
public interface CbQuotaBondedMapper extends BaseMapper<CbQuotaBonded> {

    Page<CbQuotaBondedVo> queryList(Page<?> page, @Param("entity") CbQuotaBondedVo entity);

    List<CbQuotaBondedVo> queryList(@Param("entity") CbQuotaBondedVo entity);

    CbQuotaBondedVo queryById(@Param("id") String id);

}
