package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbQuota;
import com.hjy.module.vo.norm.CbQuotaVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 辅助指标分类Mapper接口
 *
 * @author lbl
 * @date 2023-10-09
 */
public interface CbQuotaMapper extends BaseMapper<CbQuota> {

    Page<CbQuotaVo> queryList(Page<?> page, @Param("entity") CbQuotaVo entity);

    List<CbQuotaVo> queryList(@Param("entity") CbQuotaVo entity);

    CbQuotaVo queryById(@Param("id") String id);

}
