package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbCounselingMessage;
import com.hjy.module.vo.portal.CbCounselingMessageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 咨询信息Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-31
 */
public interface CbCounselingMessageMapper extends BaseMapper<CbCounselingMessage> {

    Page<CbCounselingMessageVo> queryList(Page<?> page, @Param("entity") CbCounselingMessageVo entity,@Param("num") Long num);

    List<CbCounselingMessageVo> queryList(@Param("entity") CbCounselingMessageVo entity,@Param("num") Long num);

    CbCounselingMessageVo queryById(@Param("id") String id);

    void removeZxById(String id);
}
