package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbMark;
import com.hjy.module.vo.portal.CbMarkVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 咨询标签Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface CbMarkMapper extends BaseMapper<CbMark> {

    Page<CbMarkVo> queryList(Page<?> page, @Param("entity") CbMarkVo entity);

    List<CbMarkVo> queryList(@Param("entity") CbMarkVo entity);

    CbMarkVo queryById(@Param("id") String id);

}
