package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbMessage;
import com.hjy.module.vo.portal.CbMessageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 门户消息通知Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface CbMessageMapper extends BaseMapper<CbMessage> {

    Page<CbMessageVo> queryList(Page<?> page, @Param("entity") CbMessageVo entity);

    List<CbMessageVo> queryList(@Param("entity") CbMessageVo entity);

    CbMessageVo queryById(@Param("id") String id);

}
