package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbOnline;
import com.hjy.module.vo.portal.CbOnlineVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 网上办事Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface CbOnlineMapper extends BaseMapper<CbOnline> {

    Page<CbOnlineVo> queryList(Page<?> page, @Param("entity") CbOnlineVo entity);

    List<CbOnlineVo> queryList(@Param("entity") CbOnlineVo entity);

    CbOnlineVo queryById(@Param("id") Long id);

}
