package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbQuestion;
import com.hjy.module.vo.portal.CbJudgeCountVo;
import com.hjy.module.vo.portal.CbQuestionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 咨询信息Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface CbQuestionMapper extends BaseMapper<CbQuestion> {

    Page<CbQuestionVo> queryList(Page<?> page, @Param("entity") CbQuestionVo entity);

    List<CbQuestionVo> queryList(@Param("entity") CbQuestionVo entity);

    CbQuestionVo queryById(@Param("id") String answerId);

    List<CbJudgeCountVo> evaluate(String expertId);
}
