package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbSystem;
import com.hjy.module.vo.portal.CbSystemVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 系统管理Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-08
 */
public interface CbSystemMapper extends BaseMapper<CbSystem> {

    Page<CbSystemVo> queryList(Page<?> page, @Param("entity") CbSystemVo entity);

    List<CbSystemVo> queryList(@Param("entity") CbSystemVo entity);

    CbSystemVo queryById(@Param("id") String id);

}
