package com.hjy.module.mapper.rank;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.rank.CbRank;
import com.hjy.module.vo.rank.CbRankVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 广西保税区排名Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-10
 */
@Mapper
public interface CbRankMapper extends BaseMapper<CbRank> {

    Page<CbRankVo> queryList(Page<?> page, @Param("entity") CbRankVo entity);

    List<CbRankVo> queryList(@Param("entity") CbRankVo entity);

    CbRankVo queryById(@Param("id") String id);

    List<CbRankVo> selectInOutRanking(@Param("year") String year, @Param("deptId") String deptId);
}
