package com.hjy.module.mapper.report;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.hjy.module.domain.report.ReportRecord;
import com.hjy.module.vo.report.ReportRecordVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 辅助决策Mapper接口
 *
 * @author Tellsea
 * @date 2024-04-26
 */
public interface ReportRecordMapper extends BaseMapper<ReportRecord> {

    Page<ReportRecordVo> queryList(Page<?> page, @Param("entity") ReportRecordVo entity);

    List<ReportRecordVo> queryList(@Param("entity") ReportRecordVo entity);

    ReportRecordVo queryById(@Param("id") String id);

}
