package com.hjy.module.mapper.report;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.report.ReportTemplate;
import com.hjy.module.vo.report.ReportTemplateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模板管理Mapper接口
 *
 * @author lbl
 * @date 2024-05-07
 */
public interface ReportTemplateMapper extends BaseMapper<ReportTemplate> {

    Page<ReportTemplateVo> queryList(Page<?> page, @Param("entity") ReportTemplateVo entity);

    List<ReportTemplateVo> queryList(@Param("entity") ReportTemplateVo entity);

    ReportTemplateVo queryById(@Param("id") String id);

    int queryStatusNum();
}
