package com.hjy.module.mapper.report;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.hjy.module.domain.report.ReportWord;
import com.hjy.module.vo.report.ReportWordVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模板报告Mapper接口
 *
 * @author Tellsea
 * @date 2024-05-06
 */
public interface ReportWordMapper extends BaseMapper<ReportWord> {

    Page<ReportWordVo> queryList(Page<?> page, @Param("entity") ReportWordVo entity);

    List<ReportWordVo> queryList(@Param("entity") ReportWordVo entity);

    ReportWordVo queryById(@Param("id") String id);

}
