package com.hjy.module.mapper.reportsetting;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.hjy.module.domain.reportsetting.ReportSetting;
import com.hjy.module.vo.reportsetting.ReportSettingVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 模板设置Mapper接口
 *
 * @author Tellsea
 * @date 2024-04-25
 */
@Mapper
public interface ReportSettingMapper extends BaseMapper<ReportSetting> {

    Page<ReportSettingVo> queryList(Page<?> page, @Param("entity") ReportSettingVo entity);

    List<ReportSettingVo> queryList(@Param("entity") ReportSettingVo entity);

    ReportSettingVo queryById(@Param("id") String id);

}
