package com.hjy.module.mapper.statistics;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.statistics.CbIntegral;
import com.hjy.module.vo.statistics.CbIntegralVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 保税区积分Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-01
 */
public interface CbIntegralMapper extends BaseMapper<CbIntegral> {

    Page<CbIntegralVo> queryList(Page<?> page, @Param("entity") CbIntegralVo entity);

    List<CbIntegralVo> queryList(@Param("entity") CbIntegralVo entity);

    CbIntegralVo queryById(@Param("id") String id);

}
