package com.hjy.module.mapper.template;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.template.ExcelOutInTotal;
import com.hjy.module.vo.template.ExcelOutInTotalVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 特定地区进出口总值（人民币）Mapper接口
 *
 * @author Tellsea
 * @date 2024-04-23
 */
public interface ExcelOutInTotalMapper extends BaseMapper<ExcelOutInTotal> {

    Page<ExcelOutInTotalVo> queryList(Page<?> page, @Param("entity") ExcelOutInTotalVo entity);

    List<ExcelOutInTotalVo> queryList(@Param("entity") ExcelOutInTotalVo entity);

    ExcelOutInTotalVo queryById(@Param("id") Long id);

    void removeByReportId(@Param("reportId")String reportId);
}
