package com.hjy.module.mapper.totexp;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.totexp.CbTotexpArea;
import com.hjy.module.vo.analysis.YearPercentage;
import com.hjy.module.vo.totexp.CbTotexpAreaVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * 自治区数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-15
 */
@Mapper
public interface CbTotexpAreaMapper extends BaseMapper<CbTotexpArea> {

    Page<CbTotexpAreaVo> queryList(Page<?> page, @Param("entity") CbTotexpAreaVo entity);

    List<CbTotexpAreaVo> queryList(@Param("entity") CbTotexpAreaVo entity);

    CbTotexpAreaVo queryById(@Param("id") Long id);

    ArrayList<YearPercentage> selectInoutYearGrowthRate();
}
