package com.hjy.module.mapper.wf;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.wf.WfInstAction;
import com.hjy.module.vo.wf.WfInstActionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程审批节点实例Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface WfInstActionMapper extends BaseMapper<WfInstAction> {

    Page<WfInstActionVo> queryList(Page<?> page, @Param("entity") WfInstActionVo entity);

    List<WfInstActionVo> queryList(@Param("entity") WfInstActionVo entity);

    WfInstActionVo queryById(@Param("id") String id);

    WfInstActionVo getNextAction(@Param("instAcId") String instAcId);

    WfInstActionVo getcurrentAction(@Param("instAcId") String instAcId);

    WfInstActionVo getBackAction(@Param("instAcId") String instAcId);
}
