package com.hjy.module.mapper.wf;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.wf.WfProtemplate;
import com.hjy.module.vo.wf.WfProtemplateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程模板Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface WfProtemplateMapper extends BaseMapper<WfProtemplate> {


    Page<WfProtemplateVo> queryList(Page<?> page, @Param("entity") WfProtemplateVo entity);

    List<WfProtemplateVo> queryList(@Param("entity") WfProtemplateVo entity);

    WfProtemplateVo queryById(@Param("id") String id);

}
