package com.hjy.module.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FigureQuery {

    /**
     * 保税区id
     */
    @ApiModelProperty("保税区id")
    private String[] cbIdArr;
    /**
     * 指标明细id
     */
    @ApiModelProperty("指标明细id")
    private String normFeeId;
    /**
     * 查询时间类型(1=月，2=季度，3=年)
     */
    @ApiModelProperty("查询时间类型(1=月，2=季度，3=年)")
    private String dateType;
    /**
     * 查询时间 (年)
     */
    @ApiModelProperty("查询时间(年)")
    private String yearVlue;
    /**
     * 查询时间值
     */
    @ApiModelProperty("查询时间值")
    private String dateValue;
}
