package com.hjy.module.service.activecompanies;



import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.activecompanies.ActiveCompanies;
import com.hjy.module.vo.activecompanies.ActiveCompaniesVo;

import java.util.List;

/**
 * 历年活跃企业数Service接口
 *
 * @author Tellsea
 * @date 2024-05-28
 */
public interface IActiveCompaniesService extends IService<ActiveCompanies> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<ActiveCompaniesVo> queryList(ActiveCompaniesVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<ActiveCompaniesVo> queryAll(ActiveCompaniesVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    ActiveCompaniesVo queryById(String id);


}
