package com.hjy.module.service.activecompanies.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;

import com.hjy.module.domain.activecompanies.ActiveCompanies;
import com.hjy.module.mapper.activecompanies.ActiveCompaniesMapper;
import com.hjy.module.service.activecompanies.IActiveCompaniesService;
import com.hjy.module.vo.activecompanies.ActiveCompaniesVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 历年活跃企业数Service业务层处理
 *
 * @author Tellsea
 * @date 2024-05-28
 */
@Service
public class ActiveCompaniesServiceImpl extends ServiceImpl<ActiveCompaniesMapper, ActiveCompanies> implements IActiveCompaniesService {

    @Override
    public TableDataInfo<ActiveCompaniesVo> queryList(ActiveCompaniesVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<ActiveCompaniesVo> queryAll(ActiveCompaniesVo entity) {
        return this.baseMapper.queryList(entity);
    }



    @Override
    public ActiveCompaniesVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
