package com.hjy.module.service.apiconfig;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.apiconfig.CbApiConfig;
import com.hjy.module.vo.apiconfig.CbApiConfigVo;

import java.util.List;

/**
 * 数据接口api配置Service接口
 *
 * @author Tellsea
 * @date 2023-09-01
 */
public interface ICbApiConfigService extends IService<CbApiConfig> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbApiConfigVo> queryList(CbApiConfigVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbApiConfigVo> queryAll(CbApiConfigVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbApiConfigVo queryById(String id);
}
