package com.hjy.module.service.article;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.article.CbArticle;
import com.hjy.module.vo.article.CbArticleVo;

import java.util.List;

/**
 * 重点项目管理Service接口
 *
 * @author Tellsea
 * @date 2023-09-19
 */
public interface ICbModifyArticleService extends IService<CbArticle> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbArticleVo> queryList(CbArticleVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbArticleVo> queryAll(CbArticleVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbArticleVo queryById(String id);
}
