package com.hjy.module.service.article.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.article.CbArticleDate;
import com.hjy.module.mapper.article.CbArticleDateMapper;
import com.hjy.module.service.article.ICbArticleDateService;
import com.hjy.module.vo.article.CbArticleDateVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 重点项目填报时间配置Service业务层处理
 *
 * @author Tellsea
 * @date 2023-11-30
 */
@Service
public class CbArticleDateServiceImpl extends ServiceImpl<CbArticleDateMapper, CbArticleDate> implements ICbArticleDateService {

    @Override
    public TableDataInfo<CbArticleDateVo> queryList(CbArticleDateVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbArticleDateVo> queryAll(CbArticleDateVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbArticleDateVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
