package com.hjy.module.service.auxiliary;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.auxiliary.AuxiliaryVideo;
import com.hjy.module.vo.auxiliary.AuxiliaryVideoVo;


import java.util.List;

/**
 * 通关视频Service接口
 *
 * @author Tellsea
 * @date 2024-06-18
 */
public interface IAuxiliaryVideoService extends IService<AuxiliaryVideo> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<AuxiliaryVideoVo> queryList(AuxiliaryVideoVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<AuxiliaryVideoVo> queryAll(AuxiliaryVideoVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    AuxiliaryVideoVo queryById(String id);
}
