package com.hjy.module.service.commom;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.commom.CbSystemHis;
import com.hjy.module.vo.commom.CbSystemHisVo;

import java.util.List;

/**
 * 业务变更历史表Service接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface ICbSystemHisService extends IService<CbSystemHis> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbSystemHisVo> queryList(CbSystemHisVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbSystemHisVo> queryAll(CbSystemHisVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbSystemHisVo queryById(String id);
}
