package com.hjy.module.service.garden;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.CbGardenData;
import com.hjy.module.vo.analysis.GardenAnalysisVo;
import com.hjy.module.vo.garden.CbGardenDataVo;

import java.util.List;

/**
 * 企业园区大屏数据Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ICbGardenDataService extends IService<CbGardenData> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGardenDataVo> queryList(CbGardenDataVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbGardenDataVo> queryAll(CbGardenDataVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbGardenDataVo queryById(String id);

    GardenAnalysisVo queryInoutYearTotalValueByDeptId(String deptId);

}
