package com.hjy.module.service.garden;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbEnterpriseTradePerformance;
import com.hjy.module.vo.garden.TbEnterpriseTradePerformanceVo;

import java.util.List;

/**
 * 企业贸易绩效数据（每个月填报）Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ITbEnterpriseTradePerformanceService extends IService<TbEnterpriseTradePerformance> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbEnterpriseTradePerformanceVo> queryList(TbEnterpriseTradePerformanceVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbEnterpriseTradePerformanceVo> queryAll(TbEnterpriseTradePerformanceVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    TbEnterpriseTradePerformanceVo queryById(String id);
}
