package com.hjy.module.service.garden;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbImportantProject;
import com.hjy.module.vo.garden.TbImportantProjectVo;

import java.util.List;

/**
 * 重点项目数据							 Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ITbImportantProjectService extends IService<TbImportantProject> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbImportantProjectVo> queryList(TbImportantProjectVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbImportantProjectVo> queryAll(TbImportantProjectVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    TbImportantProjectVo queryById(String id);
}
