package com.hjy.module.service.garden.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.garden.TbEnterpriseScreenData;
import com.hjy.module.mapper.garden.TbEnterpriseScreenDataMapper;
import com.hjy.module.service.garden.ITbEnterpriseScreenDataService;
import com.hjy.module.vo.garden.TbEnterpriseScreenDataVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 企业大屏所需供应商数据Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Service
public class TbEnterpriseScreenDataServiceImpl extends ServiceImpl<TbEnterpriseScreenDataMapper, TbEnterpriseScreenData> implements ITbEnterpriseScreenDataService {

    @Override
    public TableDataInfo<TbEnterpriseScreenDataVo> queryList(TbEnterpriseScreenDataVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<TbEnterpriseScreenDataVo> queryAll(TbEnterpriseScreenDataVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public TbEnterpriseScreenDataVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
