package com.hjy.module.service.garden.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.garden.TbImportantProject;
import com.hjy.module.mapper.garden.TbImportantProjectMapper;
import com.hjy.module.service.garden.ITbImportantProjectService;
import com.hjy.module.vo.garden.TbImportantProjectVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 重点项目数据							 Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Service
public class TbImportantProjectServiceImpl extends ServiceImpl<TbImportantProjectMapper, TbImportantProject> implements ITbImportantProjectService {

    @Override
    public TableDataInfo<TbImportantProjectVo> queryList(TbImportantProjectVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<TbImportantProjectVo> queryAll(TbImportantProjectVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public TbImportantProjectVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
