package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.gether.CbGatherWarning;
import com.hjy.module.vo.gather.CbGatherWarningVo;

import java.util.List;

/**
 * 数据采集预警Service接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface ICbGatherWarningService extends IService<CbGatherWarning> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGatherWarningVo> queryList(CbGatherWarningVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbGatherWarningVo> queryAll(CbGatherWarningVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbGatherWarningVo queryById(String id);

    int checkByGatherData(String gatherId, String gatherFeeId);
}
