package com.hjy.module.service.gxzzq.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.gxzzq.CbGxzzq;
import com.hjy.module.mapper.gxzzq.CbGxzzqMapper;
import com.hjy.module.service.gxzzq.ICbGxzzqService;
import com.hjy.module.vo.gxzzq.CbGxzzqVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 广西自治区数据Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-14
 */
@Service
public class CbGxzzqServiceImpl extends ServiceImpl<CbGxzzqMapper, CbGxzzq> implements ICbGxzzqService {

    @Override
    public TableDataInfo<CbGxzzqVo> queryList(CbGxzzqVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbGxzzqVo> queryAll(CbGxzzqVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbGxzzqVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
