package com.hjy.module.service.midwest;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.midwest.TbMidwest;
import com.hjy.module.vo.midwest.TbMidwestVo;


import java.util.List;

/**
 * 中西部综保区Service接口
 *
 * @author Tellsea
 * @date 2024-06-24
 */
public interface ITbMidwestService extends IService<TbMidwest> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbMidwestVo> queryList(TbMidwestVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbMidwestVo> queryAll(TbMidwestVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    TbMidwestVo queryById(String id);
}
