package com.hjy.module.service.news;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.news.CbNews;
import com.hjy.module.vo.news.CbNewsVo;

import java.util.List;

/**
 * 网站新闻Service接口
 *
 * @author Tellsea
 * @date 2023-08-22
 */
public interface ICbModifyNewsService extends IService<CbNews> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbNewsVo> queryList(CbNewsVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbNewsVo> queryAll(CbNewsVo entity,Long num);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbNewsVo queryById(String id);

}
