package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbContrastConfig;
import com.hjy.module.vo.norm.CbContrastConfigVo;

import java.util.List;

/**
 * 对比模型参数配置Service接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface ICbContrastConfigService extends IService<CbContrastConfig> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbContrastConfigVo> queryList(CbContrastConfigVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbContrastConfigVo> queryAll(CbContrastConfigVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbContrastConfigVo queryById(String id);
}
