package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbGive;
import com.hjy.module.vo.norm.CbGiveVo;

import java.util.List;

/**
 * 报送数据项配置Service接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface ICbGiveService extends IService<CbGive> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGiveVo> queryList(CbGiveVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbGiveVo> queryAll(CbGiveVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbGiveVo queryById(String id);
}
