package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbNormFee;
import com.hjy.module.vo.norm.CbNormFeeVo;

import java.util.List;

/**
 * 指标权重明细Service接口
 *
 * @author Tellsea
 * @date 2023-08-21
 */
public interface ICbNormFeeService extends IService<CbNormFee> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbNormFeeVo> queryList(CbNormFeeVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbNormFeeVo> queryAll(CbNormFeeVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbNormFeeVo queryById(String id);

    boolean updateFormulaById(String formula, String id);

    List<CbNormFee> selnormgatherByRole(String normId, String userId);
}
