package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbQuotaBondedFee;
import com.hjy.module.vo.norm.CbQuotaBondedFeeVo;

import java.util.List;

/**
 * Service接口
 *
 * @author Tellsea
 * @date 2023-10-23
 */
public interface ICbQuotaBondedFeeService extends IService<CbQuotaBondedFee> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbQuotaBondedFeeVo> queryList(CbQuotaBondedFeeVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbQuotaBondedFeeVo> queryAll(CbQuotaBondedFeeVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbQuotaBondedFeeVo queryById(String id);
}
