package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbQuotaBonded;
import com.hjy.module.vo.norm.CbQuotaBondedVo;

import java.util.List;

/**
 * 辅助指标-综保区Service接口
 *
 * @author lbl
 * @date 2023-10-09
 */
public interface ICbQuotaBondedService extends IService<CbQuotaBonded> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbQuotaBondedVo> queryList(CbQuotaBondedVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbQuotaBondedVo> queryAll(CbQuotaBondedVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbQuotaBondedVo queryById(String id);

    boolean saveFee(CbQuotaBondedVo bondedVo);

    boolean updateFeeById(CbQuotaBondedVo entity);
}
