package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbContrastConfig;
import com.hjy.module.mapper.norm.CbContrastConfigMapper;
import com.hjy.module.service.norm.ICbContrastConfigService;
import com.hjy.module.vo.norm.CbContrastConfigVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 对比模型参数配置Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Service
public class CbContrastConfigServiceImpl extends ServiceImpl<CbContrastConfigMapper, CbContrastConfig> implements ICbContrastConfigService {

    @Override
    public TableDataInfo<CbContrastConfigVo> queryList(CbContrastConfigVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbContrastConfigVo> queryAll(CbContrastConfigVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbContrastConfigVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
