package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbGive;
import com.hjy.module.mapper.norm.CbGiveMapper;
import com.hjy.module.service.norm.ICbGiveService;
import com.hjy.module.vo.norm.CbGiveVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报送数据项配置Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Service
public class CbGiveServiceImpl extends ServiceImpl<CbGiveMapper, CbGive> implements ICbGiveService {

    @Override
    public TableDataInfo<CbGiveVo> queryList(CbGiveVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbGiveVo> queryAll(CbGiveVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbGiveVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
