package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbNormRole;
import com.hjy.module.mapper.norm.CbNormRoleMapper;
import com.hjy.module.service.norm.ICbNormRoleService;
import com.hjy.module.vo.norm.CbNormRoleVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 指标采集权限配置Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-17
 */
@Service
public class CbNormRoleServiceImpl extends ServiceImpl<CbNormRoleMapper, CbNormRole> implements ICbNormRoleService {

    @Override
    public TableDataInfo<CbNormRoleVo> queryList(CbNormRoleVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbNormRoleVo> queryAll(CbNormRoleVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbNormRoleVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
