package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbQuotaBondedFee;
import com.hjy.module.mapper.norm.CbQuotaBondedFeeMapper;
import com.hjy.module.service.norm.ICbQuotaBondedFeeService;
import com.hjy.module.vo.norm.CbQuotaBondedFeeVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-23
 */
@Service
public class CbQuotaBondedFeeServiceImpl extends ServiceImpl<CbQuotaBondedFeeMapper, CbQuotaBondedFee> implements ICbQuotaBondedFeeService {

    @Override
    public TableDataInfo<CbQuotaBondedFeeVo> queryList(CbQuotaBondedFeeVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbQuotaBondedFeeVo> queryAll(CbQuotaBondedFeeVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbQuotaBondedFeeVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

}
