package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbDataFilling;
import com.hjy.module.vo.portal.CbDataFillingVo;

import java.util.List;

/**
 * 数据填报记录Service接口
 *
 * @author Tellsea
 * @date 2023-09-26
 */
public interface ICbDataFillingService extends IService<CbDataFilling> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbDataFillingVo> queryList(CbDataFillingVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbDataFillingVo> queryAll(CbDataFillingVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbDataFillingVo queryById(String id);
}
