package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbFriendlyLinks;
import com.hjy.module.vo.portal.CbFriendlyLinksVo;

import java.util.List;

/**
 * 友情链接Service接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface ICbFriendlyLinksService extends IService<CbFriendlyLinks> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbFriendlyLinksVo> queryList(CbFriendlyLinksVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbFriendlyLinksVo> queryAll(CbFriendlyLinksVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbFriendlyLinksVo queryById(Long id);
}
