package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbMark;
import com.hjy.module.vo.portal.CbMarkVo;

import java.util.List;

/**
 * 咨询标签Service接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface ICbMarkService extends IService<CbMark> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbMarkVo> queryList(CbMarkVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbMarkVo> queryAll(CbMarkVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbMarkVo queryById(String id);
}
