package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbMessage;
import com.hjy.module.vo.portal.CbMessageVo;

import java.util.List;

/**
 * 门户消息通知Service接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface ICbMessageService extends IService<CbMessage> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbMessageVo> queryList(CbMessageVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbMessageVo> queryAll(CbMessageVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbMessageVo queryById(String id);
}
