package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbCounselingMessage;
import com.hjy.module.vo.portal.CbCounselingMessageVo;

import java.util.List;

/**
 * 咨询信息Service接口
 *
 * @author Tellsea
 * @date 2023-08-31
 */
public interface ICbModifyCounselingMessageService extends IService<CbCounselingMessage> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbCounselingMessageVo> queryList(CbCounselingMessageVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbCounselingMessageVo> queryAll(CbCounselingMessageVo entity,Long num);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbCounselingMessageVo queryById(String id);
}
