package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbOpService;
import com.hjy.module.vo.portal.CbOpServiceVo;

import java.util.List;

/**
 * 运营服务Service接口
 *
 * @author Tellsea
 * @date 2023-08-29
 */
public interface ICbOpServiceService extends IService<CbOpService> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbOpServiceVo> queryList(CbOpServiceVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbOpServiceVo> queryAll(CbOpServiceVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbOpServiceVo queryById(String id);
}
