package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbConferenceReply;
import com.hjy.module.mapper.portal.CbConferenceReplyMapper;
import com.hjy.module.service.portal.ICbConferenceReplyService;
import com.hjy.module.vo.portal.CbConferenceReplyVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 联席会议回复Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-27
 */
@Service
public class CbConferenceReplyServiceImpl extends ServiceImpl<CbConferenceReplyMapper, CbConferenceReply> implements ICbConferenceReplyService {

    @Override
    public TableDataInfo<CbConferenceReplyVo> queryList(CbConferenceReplyVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbConferenceReplyVo> queryAll(CbConferenceReplyVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbConferenceReplyVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
