package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbMark;
import com.hjy.module.mapper.portal.CbMarkMapper;
import com.hjy.module.service.portal.ICbMarkService;
import com.hjy.module.vo.portal.CbMarkVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 咨询标签Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Service
public class CbMarkServiceImpl extends ServiceImpl<CbMarkMapper, CbMark> implements ICbMarkService {

    @Override
    public TableDataInfo<CbMarkVo> queryList(CbMarkVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbMarkVo> queryAll(CbMarkVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbMarkVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
