package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbOpService;
import com.hjy.module.mapper.portal.CbOpServiceMapper;
import com.hjy.module.service.portal.ICbOpServiceService;
import com.hjy.module.vo.portal.CbOpServiceVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 运营服务Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-29
 */
@Service
public class CbOpServiceServiceImpl extends ServiceImpl<CbOpServiceMapper, CbOpService> implements ICbOpServiceService {

    @Override
    public TableDataInfo<CbOpServiceVo> queryList(CbOpServiceVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbOpServiceVo> queryAll(CbOpServiceVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbOpServiceVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
