package com.hjy.module.service.report;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.report.ReportTemplate;
import com.hjy.module.vo.report.ReportTemplateVo;

import java.util.List;

/**
 * 模板管理Service接口
 *
 * @author lbl
 * @date 2024-05-07
 */
public interface IReportTemplateService extends IService<ReportTemplate> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<ReportTemplateVo> queryList(ReportTemplateVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<ReportTemplateVo> queryAll(ReportTemplateVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    ReportTemplateVo queryById(String id);

    int queryStatusNum();
    ReportTemplate findActive();
    String findWordTemplate(String year,String month);

}
