package com.hjy.module.service.report;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.report.ReportWord;
import com.hjy.module.vo.report.ReportWordVo;


import java.util.List;

/**
 * 模板报告Service接口
 *
 * @author Tellsea
 * @date 2024-05-06
 */
public interface IReportWordService extends IService<ReportWord> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<ReportWordVo> queryList(ReportWordVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<ReportWordVo> queryAll(ReportWordVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    ReportWordVo queryById(String id);

    void removeByReportId(String reportId);


    ReportWord findTheNewWord(String recordId);
}
