package com.hjy.module.service.reportsetting.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;

import com.hjy.module.domain.reportsetting.ReportSetting;
import com.hjy.module.mapper.reportsetting.ReportSettingMapper;
import com.hjy.module.service.reportsetting.IReportSettingService;
import com.hjy.module.vo.reportsetting.ReportSettingVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 模板设置Service业务层处理
 *
 * @author Tellsea
 * @date 2024-04-25
 */
@Service
public class ReportSettingServiceImpl extends ServiceImpl<ReportSettingMapper, ReportSetting> implements IReportSettingService {

    @Override
    public TableDataInfo<ReportSettingVo> queryList(ReportSettingVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<ReportSettingVo> queryAll(ReportSettingVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public ReportSettingVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }


}
