package com.hjy.module.service.statistics;

import com.hjy.module.query.AppStatisQuery;
import com.hjy.module.query.FigureQuery;
import com.hjy.module.vo.statistics.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface FigureService {
    /**
     * 获取指标参数排名数据
     * @param figure
     * @return
     */
    List<FigureVo> getZBCS(FigureQuery figure);

    /**
     * 获取同期数据对比数据
     * @param figure
     * @return
     */
    List<Map<String, Object>> getTQSJ(FigureQuery figure);

    /**
     * 获取指标总量数据
     * @param figure
     * @return
     */
    List<FigureVo> getZBZL(FigureQuery figure);

    /**
     * 获取得分总量数据
     * @param figure
     * @return
     */
    List<FigureVo> getDFZL(FigureQuery figure);

    /**
     * 获取得分占比数据
     * @param figure
     * @return
     */
    List<DFZBresultVo> getDFZB(FigureQuery figure);

    /**
     * 获取指标分数值数据
     * @param figure
     * @return
     */
    List<FigureVo> getZBFS(FigureQuery figure);

    List<AppStatisVo> gatherAllList(AppStatisQuery appStatisQuery);

    AppStatisInfoVo gatherInfo(AppStatisQuery appStatisQuery);
}
