package com.hjy.module.service.statistics;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.statistics.CbIntegralFee;
import com.hjy.module.vo.statistics.CbIntegralFeeVo;

import java.util.List;

/**
 * 绩效积分明细Service接口
 *
 * @author Tellsea
 * @date 2023-09-01
 */
public interface ICbIntegralFeeService extends IService<CbIntegralFee> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbIntegralFeeVo> queryList(CbIntegralFeeVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbIntegralFeeVo> queryAll(CbIntegralFeeVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbIntegralFeeVo queryById(String id);
}
