package com.hjy.module.service.statistics.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.statistics.CbIntegralFee;
import com.hjy.module.mapper.statistics.CbIntegralFeeMapper;
import com.hjy.module.service.statistics.ICbIntegralFeeService;
import com.hjy.module.vo.statistics.CbIntegralFeeVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 绩效积分明细Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-01
 */
@Service
public class CbIntegralFeeServiceImpl extends ServiceImpl<CbIntegralFeeMapper, CbIntegralFee> implements ICbIntegralFeeService {

    @Override
    public TableDataInfo<CbIntegralFeeVo> queryList(CbIntegralFeeVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbIntegralFeeVo> queryAll(CbIntegralFeeVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbIntegralFeeVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
