package com.hjy.module.service.wf;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.wf.WfInstPro;
import com.hjy.module.vo.wf.WfInstProVo;

import java.util.List;

/**
 * 流程活动实例Service接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface IWfInstProService extends IService<WfInstPro> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<WfInstProVo> queryList(WfInstProVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<WfInstProVo> queryAll(WfInstProVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    WfInstProVo queryById(String id);

    Integer queryType(String proId);
}
