package com.hjy.module.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author sakura
 * @date 2023/10/11 20:20:33 周三
 */

@ApiModel("企业大屏历年数据分析对象")
@Builder
@Data
public class GardenAnalysisVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("进出口历年数据对象；key是有两个 'x' 和 'value'")
    private Map<String, List<Object>> Inout;
    @ApiModelProperty("进出口历年数据对象；key是有两个 'x' 和 'value'")
    private Map<String, List<Object>> operate;
}
