package com.hjy.module.vo.analysis;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author sakura
 * @date 2023/10/10 18:18:15 周二
 */
@ApiModel("广西进口总值数据对象")
@Data
public class YearPercentage implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("总值")
    private String imExport;

    @ApiModelProperty("市进出口总值")
    private String cityTotal;

    @ApiModelProperty("增长率")
    private BigDecimal percentage;

    @ApiModelProperty("同比率")
    private BigDecimal growthRate;
}
