package com.hjy.module.vo.garden;

import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.module.domain.garden.CbGardenData;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 企业园区大屏数据Vo对象 CB_GARDEN_DATA
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGardenDataVo extends CbGardenData {

    /**
     * 部门名称
     */
    @TableField(exist = false)
    private String deptName;
}
