package com.hjy.module.vo.garden;

import com.hjy.module.domain.garden.TbEconomicsIndex;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 综合保税区经济运行主要指标Vo对象 TB_ECONOMICS_INDEX
 *
 * @author Tellsea
 * @date 2023-09-27
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbEconomicsIndexVo extends TbEconomicsIndex {

    @ApiModelProperty("保税区名称")
    private String deptName;

}
