package com.hjy.module.vo.gather;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 进出口总值园区今年占比 , 经营收入园区今年占比
 * @Author Mechrevo
 * @Date 2023年 10月 11日 19时 55分
 **/
@Data
public class EnterpriseScreenDataVo {

    @ApiModelProperty("企业主键")
    private String deptId;

    @ApiModelProperty("企业名称")
    private String deptName;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("保税区名称")
    private String bsqName;

    @ApiModelProperty("进出口总值园区今年占比")
    private String jckzzjnzb;

    @ApiModelProperty("当前企业的今年进出口总值")
    private Double qyjckzz;

    @ApiModelProperty("当前保税区的今年进出口总值")
    private Double bsqjckzz;

    @ApiModelProperty("经营收入园区今年占比")
    private String jysryqjnzb;

    @ApiModelProperty("当前企业的经营收入")
    private Double qyjysr;

    @ApiModelProperty("当前保税区的经营收入")
    private Double bsqjysr;

}
