package com.hjy.module.vo.gather;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ContentRowHeight(10)
@HeadRowHeight(20)
@ColumnWidth(25)
public class GatherImportVo {

    @ExcelProperty(value = "指标分类",index = 0)
    private String normName;

    @ExcelProperty(value = "权重名称",index = 1)
    private String normfeeName;

    @ExcelProperty(value = "计量单位",index = 2)
    private String uint;

    @ColumnWidth(100)
    @ExcelProperty(value = "采集值",index = 3)
    private BigDecimal collCalue;

    /**
     * 扩展
     */
    @ExcelProperty(value = "同比值",index = 4)
    private String compireCalue;

    @ExcelProperty(value = "部门deptId",index = 15)
    private Long deptId;

}
