package com.hjy.module.vo.gather.statistics.comprehensive;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author 12635
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
public class DeptVO {



    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;

    /**
     * 企业简介
     */
    @ApiModelProperty("企业简介")
    private String qyjj;

    /**
     * 企业简介
     */
    @ApiModelProperty("企业简介")
    private String logo;

    /**
     * 主要市场
     */
    @ApiModelProperty("主要市场")
    private String zysc;

    /**
     * AEO情况
     */
    @ApiModelProperty("AEO情况")
    private String aeoqk;

    /**
     * 一般纳税人情况
     */
    @ApiModelProperty("一般纳税人情况")
    private String ybnsrqk;

    /**
     * 检测、服务外包、文化服务创新
     */
    @ApiModelProperty("检测、服务外包、文化服务创新")
    private String jcfwwbwhfwcx;

    /**
     * 期末企业从业人员
     */
    @ApiModelProperty("期末企业从业人员")
    private String qmqycyry;

    /**
     * 国家级奖项、发明专利
     */
    @ApiModelProperty("国家级奖项、发明专利")
    private String gjjjxfmzl;

    /**
     * 税务部门税收
     */
    @ApiModelProperty("税务部门税收")
    private Double swbmss;

    /**
     * 进出口货物总值
     */
    @ApiModelProperty("进出口货物总值")
    private Double jckzz;

    /**
     * 实际使用外资金额
     */
    @ApiModelProperty("实际使用外资金额")
    private Double sjsywzje;

    /**
     * 海关税收
     */
    @ApiModelProperty("海关税收")
    private Double hgss;

    /**
     * 经营收入
     */
    @ApiModelProperty("经营收入")
    private Double jysr;

    /**
     * 账册分类
     */
    @ApiModelProperty("账册分类")
    private String dzzcfl;

    
    /**
     * 供应商集合
     */
    @ApiModelProperty("供应商集合")
    private List<GylgxVO> gylgxVOS;
    
    /**
     * 企业每年数据统计
     */
    @ApiModelProperty("企业每年数据统计")
    private List<QyzyzbVO> qyzyzbVOS;

    /**
     * 等级
     */
    @ApiModelProperty("等级")
    private String grade;

    /**
     * 企业结构
     */
    @ApiModelProperty("企业结构")
    private String enterpriseStructure;

    /**
     * 企业类型
     */
    @ApiModelProperty("企业类型")
    private String qylx;


}
