package com.hjy.module.vo.gather.statistics.comprehensive;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;
/**
 * 本年进出口总值返回类
 *
 * @author Tellsea
 * @date 2023-10-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
public class TotalValueAllVO {
    /**
     * 年份
     */
    @ApiModelProperty("年份")
    private String year;

    /**
     * 月份
     */
    @ApiModelProperty("月份")
    private String month;

    /**
     * 进出口总值
     */
    @ApiModelProperty("进出口总值")
    private Double totalValue;

    /**
     * 每月增长率
     */
    @ApiModelProperty("每月增长率")
    private String growthRate;
}
