package com.hjy.module.vo.gather.statistics.comprehensive;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 本年进出口总值返回类
 *
 * @author Tellsea
 * @date 2023-10-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
public class TotalValueVO {
    /**
     * 年份
     */
    @ApiModelProperty("年份")
    private String year;

    /**
     * 月份
     */
    @ApiModelProperty("月份")
    private String month;

    /**
     * 一般贸易进出口值
     */
    @ApiModelProperty("一般贸易进出口值")
    private String ybmyjckz;

    /**
     * 加工贸易进出口值
     */
    @ApiModelProperty("加工贸易进出口值")
    private String jgmyjckz;

    /**
     * 物流货物进出口值
     */
    @ApiModelProperty("物流货物进出口值")
    private String wlhwjckz;


}
