package com.hjy.module.vo.gather.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 保税区
 */
@Data
public class TaxAreaVo {

    @ApiModelProperty("保税区名")
    private String name;

    @ApiModelProperty("本年时间的标题头")
    private String yearTitle;

    @ApiModelProperty("去年时间的标题头")
    private String yearPreTitle;

    @ApiModelProperty("同比%的标题头")
    private String yearCompareTitle;

    @ApiModelProperty(value = "保税区的开始列", hidden = true)
    private String startCellColumn;

    @ApiModelProperty("没指标分类的list")
    private List<NormItemVo> outNormList;

    @ApiModelProperty("指标分类的list")
    private List<NormCategoryVo> normCategoryList;

}
