package com.hjy.module.vo.norm;

import com.hjy.common.annotation.Excel;
import com.hjy.module.domain.norm.CbNormRole;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 指标采集权限配置Vo对象 CB_NORM_ROLE
 *
 * @author Tellsea
 * @date 2023-10-17
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbNormRoleVo extends CbNormRole {


    /**
     * 指标参数名称
     */
    @Excel(name = "指标参数名称")
    @ApiModelProperty("指标参数名称")
    private String fname;

    private String content;

    private String[] senIdList;

}
