package com.hjy.module.vo.portal;

import com.hjy.common.core.domain.entity.CbCompanyUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 门户用户Vo对象 CB_COMPANY_USER
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbCompanyUserVo extends CbCompanyUser {

    /**
     * 验证码
     */
    @ApiModelProperty("验证码")
    private String code;

    /**
     * 唯一标识
     */
    @ApiModelProperty("唯一标识")
    private String uuid;
}
