package com.hjy.module.vo.statistics;

import com.hjy.module.domain.statistics.CbIntegral;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 保税区积分Vo对象 CB_INTEGRAL
 *
 * @author Tellsea
 * @date 2023-09-01
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbIntegralVo extends CbIntegral {

    /**
     * 积分明细集合
     */
    @ApiModelProperty("积分明细集合")
    List<CbIntegralFeeVo> feeVoList;
}
