package com.hjy.module.vo.wf;

import com.hjy.module.domain.wf.WfInstAction;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 流程审批节点实例Vo对象 WF_INST_ACTION
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WfInstActionVo extends WfInstAction {

    /**
     * 服务层地址
     */
    private String serviceUrl;

    /**
     * 业务id
     */
    private String fromDataId;

    /**
     * 任务队列id
     */
    private String proId;

    /**
     * 前端页面url
     */
    private String infoUrl;

}
