package com.hjy.business.appuser.controller;

import com.hjy.common.core.domain.AjaxResult;
import com.hjy.module.service.portal.ICbContactUsService;
import com.hjy.module.vo.portal.CbContactUsVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author hejizheng
 * @ClassName ContactusController
 * @description: TODO
 * @date 2023年09月13日
 * @version: 1.0
 */
@Api(tags = "移动端-联系我们")
@RestController
@RequestMapping("/app_api/COMPANYUSER")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
public class APPContactusController {

    private final ICbContactUsService cbContactUsService;

    @ApiOperation("查询联系我们所有列表")
    @GetMapping("/listAll")
    public AjaxResult listAll(CbContactUsVo entity) {
        return AjaxResult.success("查询成功", cbContactUsService.queryAll(entity));
    }
}
