package com.hjy.common.annotation;

import java.lang.annotation.*;

/**
 * 关联表查询注解
 * @author: hejiz
 * @date:
 * desc: 查询出的字段只会在控制层输出
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface ResVoDict {

    /**
     * 方法描述:  数据code
     *
     * @return 返回类型： String
     */
    String dicCode();

    /**
     * 方法描述:  数据Text
     *
     * @return 返回类型： String
     */
    String dicText() default "";

    /**
     * 方法描述: 数据字典表
     *
     * @return 返回类型： String
     */
    String dictTable() default "";
}
