package com.hjy.common.enums;

/**
 * 用户状态
 *
 * @author HJY
 */
public enum CbNewsType {

    DRAFTS("0", "草稿"),
    AUDIT("1","审核中"),
    REJECT("2","审核驳回"),
    CHECKED("3","已审核"),
    ISSUE("4","已发布"),
    DELIST("5", "下架"),
    TOP("6","已置顶");

    private final String code;
    private final String info;

    CbNewsType(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
