package com.hjy.common.enums;

public enum WorkFlowServiceEnums {
    NORMSERVICE("normService", "指标分类Service业务层处理"),
    NEWSSERVICE("newsService","新闻新增Service业务层处理"),
    MODIFYNEWSSERVICE("modifyNewsService","新闻修改Service业务层处理"),
    COUNSELINGMESSAGE("CounselingMessageService","资讯新增Service业务层处理"),
    MODIFYCOUNSELINGMESSAGE("modifyCounselingMessageService","资讯修改Service业务层处理"),
    QUESTIONSERVICE("questionService","专家回复service业务层处理"),
    ARTICLESERVICE("articleService","重点项目新增service业务层处理"),
    MODIFYARTICLESERVICE("modifyarticleService","重点项目修改service业务层处理"),
    COMPANYUSERSERVICE("companyUserService","门户用户新增service业务层处理"),
    MODIFYCOMPANYUSERSERVICE("modifycompanyUserService","门户用户修改service业务层处理"),
    GATHERSERSERVICE("gatherService","数据采集service业务层处理"),
    QUOTABONDEDSERVICE("quotaBondedService","辅助指标service业务层处理");


    private final String service;
    private final String desc;

    WorkFlowServiceEnums(String service, String desc) {
        this.service = service;
        this.desc = desc;
    }

    public String getService() {
        return service;
    }

    public String getDesc() {
        return desc;
    }
}
