package com.hjy.common.utils;

import cn.hutool.core.collection.CollectionUtil;
import com.alibaba.fastjson2.JSON;
import org.apache.commons.compress.utils.Lists;

import java.util.List;

public class CommomUtils {

    /**
     * 从List<A> copy到List<B>
     * @param list List<B>
     * @param clazz B
     * @return List<B>
     */
    public static <T> List<T> copyList(List<?> list, Class<T> clazz){
        if(CollectionUtil.isEmpty(list)) {
            return Lists.newArrayList();
        }
        String oldOb = JSON.toJSONString(list);
        return JSON.parseArray(oldOb, clazz);
    }
}
