package com.hjy.module.domain.activecompanies;

import com.hjy.common.annotation.Excel;

import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 历年活跃企业数对象 CB_ACTIVE_COMPANIES
 *
 * @author Tellsea
 * @date 2024-05-28
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ActiveCompanies extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String code;

    /**
     * 名称
     */
    @Excel(name = "名称")
    private String name;

    /**
     * 活跃数
     */
    @Excel(name = "活跃数")
    private String number;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String staticsYear;

    /**
     * 月份
     */
    @Excel(name = "月份")
    private String staticsMonth;

    @Excel(name = "同比增长")
    private String inc;

}
