package com.hjy.module.domain.garden;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 企业园区大屏数据对象 CB_GARDEN_DATA
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGardenData extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 部门(企业)
     */
    @Excel(name = "部门(企业)")
    private String deptId;

    /**
     * 数值类型
     */
    @Excel(name = "数值类型")
    private String type;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

    /**
     * 数值
     */
    @Excel(name = "数值")
    private String value;

}
