package com.hjy.module.domain.gxzzq;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 广西自治区数据对象 CB_GXZZQ
 *
 * @author Tellsea
 * @date 2023-10-14
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGxzzq extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 删除逻辑
     */
    @Excel(name = "删除逻辑")
    private String delFlag;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

    /**
     * 月份
     */
    @Excel(name = "月份")
    private String month;

    /**
     * 值
     */
    @Excel(name = "值")
    private String value;

    /**
     * 同比增长率
     */
    @Excel(name = "同比增长率")
    private String zzl;

}
