package com.hjy.module.domain.midwest;

import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 中西部综保区对象 TB_MIDWEST
 *
 * @author Tellsea
 * @date 2024-06-24
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbMidwest extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 综保区名称
     */
    @Excel(name = "综保区名称")
    private String name;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String code;

    /**
     * 相邻
     */
    @Excel(name = "相邻")
    private Integer neighbor;
    private String province;

}
