package com.hjy.module.domain.report;

import com.hjy.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 模板管理对象 REPORT_TEMPLATE
 *
 * @author lbl
 * @date 2024-05-07
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ReportTemplate extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private String id;

    /**
     * 模版名称
     */
    @Excel(name = "模版名称")
    private String title;

    /**
     * 模版文件路径
     */
    @Excel(name = "模版文件路径")
    private String filename;

    /**
     * 是否启用
     */
    @Excel(name = "是否启用")
    private String status;

}
