package com.hjy.module.domain.totexp;

import com.hjy.common.annotation.Excel;
import com.hjy.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 自治区数据对象 CB_TOTEXP_AREA
 *
 * @author Tellsea
 * @date 2023-10-15
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbTotexpArea extends BaseEntity {

    /**
     * 主键
     */
    @Excel(name = "主键")
    private Long id;

    /**
     * 进出口
     */
    @Excel(name = "进出口")
    private BigDecimal imExport;

    /**
     * 同比值
     */
    @Excel(name = "同比值")
    private BigDecimal growthRate;

    /**
     * 年份
     */
    @Excel(name = "年份")
    private String year;

}
