package com.hjy.module.mapper.article;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.article.CbArticle;
import com.hjy.module.vo.article.CbArticleVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 重点项目管理Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-19
 */
public interface CbArticleMapper extends BaseMapper<CbArticle> {

    Page<CbArticleVo> queryList(Page<?> page, @Param("entity") CbArticleVo entity);

    List<CbArticleVo> queryList(@Param("entity") CbArticleVo entity);

    CbArticleVo queryById(@Param("id") String id);
}
