package com.hjy.module.mapper.auxiliary;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.hjy.module.domain.auxiliary.AuxiliaryVideo;
import com.hjy.module.vo.auxiliary.AuxiliaryVideoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 通关视频Mapper接口
 *
 * @author Tellsea
 * @date 2024-06-18
 */
public interface AuxiliaryVideoMapper extends BaseMapper<AuxiliaryVideo> {

    Page<AuxiliaryVideoVo> queryList(Page<?> page, @Param("entity") AuxiliaryVideoVo entity);

    List<AuxiliaryVideoVo> queryList(@Param("entity") AuxiliaryVideoVo entity);

    AuxiliaryVideoVo queryById(@Param("id") String id);

}
