package com.hjy.module.mapper.garden;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.CbGardenData;
import com.hjy.module.vo.garden.CbGardenDataVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 企业园区大屏数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
@Mapper
public interface CbGardenDataMapper extends BaseMapper<CbGardenData> {

    Page<CbGardenDataVo> queryList(Page<?> page, @Param("entity") CbGardenDataVo entity);

    List<CbGardenDataVo> queryList(@Param("entity") CbGardenDataVo entity);

    CbGardenDataVo queryById(@Param("id") String id);

    List<Map<String, Object>> selectInoutYearTotalValueByDeptId(String deptId);

    List<Map<String, Object>> selectYearTotalValueByDeptIdOne(@Param("deptId") String deptId);

    List<Map<String, Object>> selectYearTotalValueByDeptIdTwo(@Param("deptId") String deptId);
}
