package com.hjy.module.mapper.garden;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.garden.TbGardenBaseData;
import com.hjy.module.vo.garden.TbGardenBaseDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 园区内企业基础数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface TbGardenBaseDataMapper extends BaseMapper<TbGardenBaseData> {

    Page<TbGardenBaseDataVo> queryList(Page<?> page, @Param("entity") TbGardenBaseDataVo entity);

    List<TbGardenBaseDataVo> queryList(@Param("entity") TbGardenBaseDataVo entity);

    TbGardenBaseDataVo queryById(@Param("id") String id);

}
