package com.hjy.module.mapper.gather;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.gather.CbGatherVo;
import com.hjy.module.vo.totexp.CbTotexpVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据采集Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Mapper
public interface CbGatherMapper extends BaseMapper<CbGather> {

    Page<CbGatherVo> queryList(Page<?> page, @Param("entity") CbGatherVo entity);

    List<CbGatherVo> queryList(@Param("entity") CbGatherVo entity);

    CbGatherVo queryById(@Param("id") String id);

    List<CbTotexpVo> selectInoutYearList(@Param("recentYears") String recentYears);

    List<CbTotexpVo> selectInoutYearPercentage(@Param("recentYears") String recentYears);

    void updateTmp(@Param("year") String year,@Param("month") String month, @Param("deptId") String deptId);
}
