package com.hjy.module.mapper.gxzzq;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.gxzzq.CbGxzzq;
import com.hjy.module.vo.gxzzq.CbGxzzqVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 广西自治区数据Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-14
 */
public interface CbGxzzqMapper extends BaseMapper<CbGxzzq> {

    Page<CbGxzzqVo> queryList(Page<?> page, @Param("entity") CbGxzzqVo entity);

    List<CbGxzzqVo> queryList(@Param("entity") CbGxzzqVo entity);

    CbGxzzqVo queryById(@Param("id") String id);

}
