package com.hjy.module.mapper.midwest;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.hjy.module.domain.midwest.TbMidwest;
import com.hjy.module.vo.midwest.TbMidwestVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 中西部综保区Mapper接口
 *
 * @author Tellsea
 * @date 2024-06-24
 */
public interface TbMidwestMapper extends BaseMapper<TbMidwest> {

    Page<TbMidwestVo> queryList(Page<?> page, @Param("entity") TbMidwestVo entity);

    List<TbMidwestVo> queryList(@Param("entity") TbMidwestVo entity);

    TbMidwestVo queryById(@Param("id") String id);

}
