package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbContrastConfig;
import com.hjy.module.vo.norm.CbContrastConfigVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 对比模型参数配置Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface CbContrastConfigMapper extends BaseMapper<CbContrastConfig> {

    Page<CbContrastConfigVo> queryList(Page<?> page, @Param("entity") CbContrastConfigVo entity);

    List<CbContrastConfigVo> queryList(@Param("entity") CbContrastConfigVo entity);

    CbContrastConfigVo queryById(@Param("id") String id);

}
