package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbContrast;
import com.hjy.module.vo.norm.CbContrastVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 对比模型公式Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface CbContrastMapper extends BaseMapper<CbContrast> {

    Page<CbContrastVo> queryList(Page<?> page, @Param("entity") CbContrastVo entity);

    List<CbContrastVo> queryList(@Param("entity") CbContrastVo entity);

    CbContrastVo queryById(@Param("id") String id);

}
