package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbGive;
import com.hjy.module.vo.norm.CbGiveVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报送数据项配置Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Mapper
public interface CbGiveMapper extends BaseMapper<CbGive> {

    Page<CbGiveVo> queryList(Page<?> page, @Param("entity") CbGiveVo entity);

    List<CbGiveVo> queryList(@Param("entity") CbGiveVo entity);

    CbGiveVo queryById(@Param("id") String id);

}
