package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbNormFee;
import com.hjy.module.vo.norm.CbNormFeeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 指标权重明细Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-21
 */
public interface CbNormFeeMapper extends BaseMapper<CbNormFee> {

    Page<CbNormFeeVo> queryList(Page<?> page, @Param("entity") CbNormFeeVo entity);

    List<CbNormFeeVo> queryList(@Param("entity") CbNormFeeVo entity);

    CbNormFeeVo queryById(@Param("id") String id);

    boolean updateFormulaById(@Param("formula") String formula,@Param("id") String id);

    List<CbNormFee> selnormgatherByRole(@Param("normId") String normId,@Param("userId") String userId);
}
