package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbNormRole;
import com.hjy.module.vo.norm.CbNormRoleVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 指标采集权限配置Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-17
 */
public interface CbNormRoleMapper extends BaseMapper<CbNormRole> {

    Page<CbNormRoleVo> queryList(Page<?> page, @Param("entity") CbNormRoleVo entity);

    List<CbNormRoleVo> queryList(@Param("entity") CbNormRoleVo entity);

    CbNormRoleVo queryById(@Param("id") String id);

    int checkdata(@Param("feeId") String feeId,@Param("id") String id,@Param("type") String type);
}
