package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbQuotaBondedFee;
import com.hjy.module.vo.norm.CbQuotaBondedFeeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-23
 */
@Mapper
public interface CbQuotaBondedFeeMapper extends BaseMapper<CbQuotaBondedFee> {

    Page<CbQuotaBondedFeeVo> queryList(Page<?> page, @Param("entity") CbQuotaBondedFeeVo entity);

    List<CbQuotaBondedFeeVo> queryList(@Param("entity") CbQuotaBondedFeeVo entity);

    CbQuotaBondedFeeVo queryById(@Param("id") String id);

    List<CbQuotaBondedFeeVo> queryByBondedId(@Param("quotaBondedId") String quotaBondedId);

}
