package com.hjy.module.mapper.norm;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.norm.CbQuotaFee;
import com.hjy.module.vo.norm.CbQuotaFeeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 辅助指标明细Mapper接口
 *
 * @author lbl
 * @date 2023-10-08
 */
public interface CbQuotaFeeMapper extends BaseMapper<CbQuotaFee> {

    Page<CbQuotaFeeVo> queryList(Page<?> page, @Param("entity") CbQuotaFeeVo entity);

    List<CbQuotaFeeVo> queryList(@Param("entity") CbQuotaFeeVo entity);

    CbQuotaFeeVo queryById(@Param("id") String id);

    List<CbQuotaFeeVo> queryAll();
}
