package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbBonded;
import com.hjy.module.vo.portal.CbBondedVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 保税区管理Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-08
 */
public interface CbBondedMapper extends BaseMapper<CbBonded> {

    Page<CbBondedVo> queryList(Page<?> page, @Param("entity") CbBondedVo entity);

    List<CbBondedVo> queryList(@Param("entity") CbBondedVo entity);

    CbBondedVo queryById(@Param("id") String id);

}
