package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.common.core.domain.entity.CbCompanyUser;
import com.hjy.module.vo.portal.CbCompanyUserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 门户用户Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface CbCompanyUserMapper extends BaseMapper<CbCompanyUser> {

    Page<CbCompanyUserVo> queryList(Page<?> page, @Param("entity") CbCompanyUserVo entity);

    List<CbCompanyUserVo> queryList(@Param("entity") CbCompanyUserVo entity);

    CbCompanyUserVo queryById(@Param("id") String id);

}
