package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbConferenceReply;
import com.hjy.module.vo.portal.CbConferenceReplyVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 联席会议回复Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-27
 */
public interface CbConferenceReplyMapper extends BaseMapper<CbConferenceReply> {

    Page<CbConferenceReplyVo> queryList(Page<?> page, @Param("entity") CbConferenceReplyVo entity);

    List<CbConferenceReplyVo> queryList(@Param("entity") CbConferenceReplyVo entity);

    CbConferenceReplyVo queryById(@Param("id") String id);

}
