package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbContactUs;
import com.hjy.module.vo.portal.CbContactUsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 联系我们Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface CbContactUsMapper extends BaseMapper<CbContactUs> {

    Page<CbContactUsVo> queryList(Page<?> page, @Param("entity") CbContactUsVo entity,@Param("num")Integer num);

    List<CbContactUsVo> queryList(@Param("entity") CbContactUsVo entity,@Param("num")Integer num);

    CbContactUsVo queryById(@Param("id") Long id);

}
