package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbDataFilling;
import com.hjy.module.vo.portal.CbDataFillingVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据填报记录Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-26
 */
public interface CbDataFillingMapper extends BaseMapper<CbDataFilling> {

    Page<CbDataFillingVo> queryList(Page<?> page, @Param("entity") CbDataFillingVo entity);

    List<CbDataFillingVo> queryList(@Param("entity") CbDataFillingVo entity);

    CbDataFillingVo queryById(@Param("id") String id);

}
