package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbFriendlyLinks;
import com.hjy.module.vo.portal.CbFriendlyLinksVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 友情链接Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface CbFriendlyLinksMapper extends BaseMapper<CbFriendlyLinks> {

    Page<CbFriendlyLinksVo> queryList(Page<?> page, @Param("entity") CbFriendlyLinksVo entity);

    List<CbFriendlyLinksVo> queryList(@Param("entity") CbFriendlyLinksVo entity);

    CbFriendlyLinksVo queryById(@Param("id") Long id);

}
