package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbJointConference;
import com.hjy.module.vo.portal.CbJointConferenceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 联席会议Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-27
 */
public interface CbJointConferenceMapper extends BaseMapper<CbJointConference> {

    Page<CbJointConferenceVo> queryList(Page<?> page, @Param("entity") CbJointConferenceVo entity);

    List<CbJointConferenceVo> queryList(@Param("entity") CbJointConferenceVo entity);

    CbJointConferenceVo queryById(@Param("id") String id);

}
