package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbLeaveMessage;
import com.hjy.module.vo.portal.CbLeaveMessageVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 留言反馈Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface CbLeaveMessageMapper extends BaseMapper<CbLeaveMessage> {

    Page<CbLeaveMessageVo> queryList(Page<?> page, @Param("entity") CbLeaveMessageVo entity);

    List<CbLeaveMessageVo> queryList(@Param("entity") CbLeaveMessageVo entity);

    CbLeaveMessageVo queryById(@Param("id") Long id);

}
