package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbModifyCompanyUser;
import com.hjy.module.vo.portal.CbModifyCompanyUserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 门户用户修改临时Mapper接口
 *
 * @author Tellsea
 * @date 2023-10-17
 */
public interface CbModifyCompanyUserMapper extends BaseMapper<CbModifyCompanyUser> {

    Page<CbModifyCompanyUserVo> queryList(Page<?> page, @Param("entity") CbModifyCompanyUserVo entity);

    List<CbModifyCompanyUserVo> queryList(@Param("entity") CbModifyCompanyUserVo entity);

    CbModifyCompanyUserVo queryById(@Param("id") String id);

    void deleteUser(String id);
}
