package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbOpService;
import com.hjy.module.vo.portal.CbOpServiceVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 运营服务Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-29
 */
public interface CbOpServiceMapper extends BaseMapper<CbOpService> {

    Page<CbOpServiceVo> queryList(Page<?> page, @Param("entity") CbOpServiceVo entity);

    List<CbOpServiceVo> queryList(@Param("entity") CbOpServiceVo entity);

    CbOpServiceVo queryById(@Param("id") String id);

}
