package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbSensitive;
import com.hjy.module.vo.portal.CbSensitiveVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 敏感词管理Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface CbSensitiveMapper extends BaseMapper<CbSensitive> {

    Page<CbSensitiveVo> queryList(Page<?> page, @Param("entity") CbSensitiveVo entity);

    List<CbSensitiveVo> queryList(@Param("entity") CbSensitiveVo entity);

    CbSensitiveVo queryById(@Param("id") String id);

}
