package com.hjy.module.mapper.portal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.portal.CbWebsite;
import com.hjy.module.vo.portal.CbWebsiteVo;
import org.apache.ibatis.annotations.Param;

/**
 * 网站管理Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-29
 */
public interface CbWebsiteMapper extends BaseMapper<CbWebsite> {

    Page<CbWebsiteVo> queryList(Page<?> page, @Param("entity") CbWebsiteVo entity);

    CbWebsiteVo queryById(@Param("id") String id);

}
