package com.hjy.module.mapper.statistics;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.statistics.CbIntegralFee;
import com.hjy.module.vo.statistics.CbIntegralFeeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 绩效积分明细Mapper接口
 *
 * @author Tellsea
 * @date 2023-09-01
 */
public interface CbIntegralFeeMapper extends BaseMapper<CbIntegralFee> {

    Page<CbIntegralFeeVo> queryList(Page<?> page, @Param("entity") CbIntegralFeeVo entity);

    List<CbIntegralFeeVo> queryList(@Param("entity") CbIntegralFeeVo entity);

    CbIntegralFeeVo queryById(@Param("id") String id);

}
