package com.hjy.module.mapper.statistics;

import com.hjy.module.query.AppStatisQuery;
import com.hjy.module.query.FigureQuery;
import com.hjy.module.vo.statistics.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

@Mapper
public interface FigureMapper {
    /**
     * 获取指标参数排名数据
     * @param figure
     * @return
     */
    List<FigureVo> getZBCS(FigureQuery figure);

    /**
     * 获取同期数据对比
     * @param figure
     * @return
     */
    List<FigureTQSJVo> getTQSJ(FigureQuery figure);

    BigDecimal getTQSJitemData(@Param("year") String year ,@Param("cbName") String cbName,@Param("colName") String colName,@Param("value") String value,@Param("type") String type);

    List<AppStatisVo> gatherAllList(AppStatisQuery appStatisQuery);

    List<AppStatisInfoItem1> gatherInfoItem1(AppStatisQuery appStatisQuery);

    List<AppStatisInfoItem2> gatherInfoItem2(AppStatisQuery appStatisQuery);

    List<FigureVo> getZBZL(FigureQuery figure);

    List<FigureVo> getDFZL(FigureQuery figure);

    List<DFZBresultVo> getDFZB(FigureQuery figure);

    List<FigureVo> getZBFS(FigureQuery figure);
}
