package com.hjy.module.mapper.wf;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.wf.WfInstActionTask;
import com.hjy.module.vo.wf.WfInstActionTaskVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 审批任务实例Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface WfInstActionTaskMapper extends BaseMapper<WfInstActionTask> {

    Page<WfInstActionTaskVo> queryList(Page<?> page, @Param("entity") WfInstActionTaskVo entity);

    List<WfInstActionTaskVo> queryList(@Param("entity") WfInstActionTaskVo entity);

    WfInstActionTaskVo queryById(@Param("id") String id);

    List<WfInstActionTaskVo> queryTasksByid(@Param("fromDataId") String fromDataId,@Param("serviceUrl") String serviceUrl);

    int chekFromDataId(@Param("fromDataId") String fromDataId,@Param("serviceName")  String serviceName);

    void deletePRO(@Param("fromDataId")String fromDataId,@Param("serviceName") String serviceName);

    void deleteACTION(@Param("fromDataId")String fromDataId,@Param("serviceName") String serviceName);

    void deletePROTASK(@Param("fromDataId")String fromDataId,@Param("serviceName") String serviceName);
}
