package com.hjy.module.mapper.wf;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.wf.WfInstPro;
import com.hjy.module.vo.wf.WfInstProVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程活动实例Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface WfInstProMapper extends BaseMapper<WfInstPro> {

    Page<WfInstProVo> queryList(Page<?> page, @Param("entity") WfInstProVo entity);

    List<WfInstProVo> queryList(@Param("entity") WfInstProVo entity);

    WfInstProVo queryById(@Param("id") String id);

    Integer queryType(String proId);
}
