package com.hjy.module.mapper.wf;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hjy.module.domain.wf.WfProDefAction;
import com.hjy.module.vo.wf.WfProDefActionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程节点定义Mapper接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface WfProDefActionMapper extends BaseMapper<WfProDefAction> {

    Page<WfProDefActionVo> queryList(Page<?> page, @Param("entity") WfProDefActionVo entity);

    List<WfProDefActionVo> queryList(@Param("entity") WfProDefActionVo entity);

    WfProDefActionVo queryById(@Param("id") String id);

}
