package com.hjy.module.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hejizheng
 * @ClassName AppStatisQuery
 * @description: TODO
 * @date 2023年09月15日
 * @version: 1.0
 */
@Data
public class AppStatisQuery {

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("开始时间")
    private Date bigTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("指标类型ID")
    private String normId;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("保税区名称")
    private String cbName;
}
