package com.hjy.module.service.apiconfig.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.apiconfig.CbApiConfig;
import com.hjy.module.mapper.apiconfig.CbApiConfigMapper;
import com.hjy.module.service.apiconfig.ICbApiConfigService;
import com.hjy.module.vo.apiconfig.CbApiConfigVo;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * API配置Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-31
 */
@Service
public class CbApiConfigServiceImpl extends ServiceImpl<CbApiConfigMapper, CbApiConfig> implements ICbApiConfigService {

    @Override
    public TableDataInfo<CbApiConfigVo> queryList(CbApiConfigVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbApiConfigVo> queryAll(CbApiConfigVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbApiConfigVo queryById(String id) {
            return this.baseMapper.queryById(id);
    }
}
