package com.hjy.module.service.article;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.article.CbArticleDate;
import com.hjy.module.vo.article.CbArticleDateVo;

import java.util.List;

/**
 * 重点项目填报时间配置Service接口
 *
 * @author Tellsea
 * @date 2023-11-30
 */
public interface ICbArticleDateService extends IService<CbArticleDate> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbArticleDateVo> queryList(CbArticleDateVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbArticleDateVo> queryAll(CbArticleDateVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbArticleDateVo queryById(String id);
}
