package com.hjy.module.service.auxiliary.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;

import com.hjy.module.domain.auxiliary.AuxiliaryVideo;
import com.hjy.module.mapper.auxiliary.AuxiliaryVideoMapper;
import com.hjy.module.service.auxiliary.IAuxiliaryVideoService;
import com.hjy.module.vo.auxiliary.AuxiliaryVideoVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 通关视频Service业务层处理
 *
 * @author Tellsea
 * @date 2024-06-18
 */
@Service
public class AuxiliaryVideoServiceImpl extends ServiceImpl<AuxiliaryVideoMapper, AuxiliaryVideo> implements IAuxiliaryVideoService {

    @Override
    public TableDataInfo<AuxiliaryVideoVo> queryList(AuxiliaryVideoVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<AuxiliaryVideoVo> queryAll(AuxiliaryVideoVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public AuxiliaryVideoVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
