package com.hjy.module.service.commom.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.commom.CbSystemHis;
import com.hjy.module.mapper.commom.CbSystemHisMapper;
import com.hjy.module.service.commom.ICbSystemHisService;
import com.hjy.module.vo.commom.CbSystemHisVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 业务变更历史表Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Service
public class CbSystemHisServiceImpl extends ServiceImpl<CbSystemHisMapper, CbSystemHis> implements ICbSystemHisService {

    @Override
    public TableDataInfo<CbSystemHisVo> queryList(CbSystemHisVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbSystemHisVo> queryAll(CbSystemHisVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbSystemHisVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
