package com.hjy.module.service.garden;



import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbEnterpriseScreenData;
import com.hjy.module.vo.garden.TbEnterpriseScreenDataVo;

import java.util.List;

/**
 * 企业大屏所需供应商数据Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ITbEnterpriseScreenDataService extends IService<TbEnterpriseScreenData> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbEnterpriseScreenDataVo> queryList(TbEnterpriseScreenDataVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbEnterpriseScreenDataVo> queryAll(TbEnterpriseScreenDataVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    TbEnterpriseScreenDataVo queryById(String id);
}
