package com.hjy.module.service.garden;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.garden.TbGardenBaseData;
import com.hjy.module.vo.garden.GardenBaseDataEasyexcelVo;
import com.hjy.module.vo.garden.TbGardenBaseDataVo;

import java.util.List;

/**
 * 园区内企业基础数据Service接口
 *
 * @author Tellsea
 * @date 2023-10-11
 */
public interface ITbGardenBaseDataService extends IService<TbGardenBaseData> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<TbGardenBaseDataVo> queryList(TbGardenBaseDataVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<TbGardenBaseDataVo> queryAll(TbGardenBaseDataVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    TbGardenBaseDataVo queryById(String id);

    /**
     *  写入导入数据
     * @param cachedDataList
     */
    void saveImport(List<GardenBaseDataEasyexcelVo> cachedDataList,String deptId);
}
