package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.module.domain.gether.CbGatherFee;
import com.hjy.module.vo.gather.CbGatherVo;

import javax.script.ScriptException;

/**
 * 指标计算Service接口
 *
 * @author lbl
 * @date 2023-10-13
 */
public interface ICbGatherFormulaService extends IService<CbGatherFee> {

    /** 按照公式计算年度指标采集值 */
    boolean computeCollCalue(CbGatherVo entity) throws ScriptException;

    /** 计算同比值 */
    void computeCompireCalue(CbGatherVo entity);

    boolean tongbiToValue(CbGatherVo entity);
}
