package com.hjy.module.service.gxzzq;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.gxzzq.CbGxzzq;
import com.hjy.module.vo.gxzzq.CbGxzzqVo;

import java.util.List;

/**
 * 广西自治区数据Service接口
 *
 * @author Tellsea
 * @date 2023-10-14
 */
public interface ICbGxzzqService extends IService<CbGxzzq> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGxzzqVo> queryList(CbGxzzqVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbGxzzqVo> queryAll(CbGxzzqVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbGxzzqVo queryById(String id);
}
