package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbContrast;
import com.hjy.module.vo.norm.CbContrastVo;

import java.util.List;

/**
 * 对比模型公式Service接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface ICbContrastService extends IService<CbContrast> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbContrastVo> queryList(CbContrastVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbContrastVo> queryAll(CbContrastVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbContrastVo queryById(String id);

    /**
     * 新增对比模型公式
     * @param entity
     * @return
     */
    boolean saveEntity(CbContrastVo entity);

    /**
     * 修改对比模型公式
     * @param entity
     * @return
     */
    boolean editEntity(CbContrastVo entity);
}
