package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbNormRole;
import com.hjy.module.vo.norm.CbNormRoleVo;

import java.util.List;

/**
 * 指标采集权限配置Service接口
 *
 * @author Tellsea
 * @date 2023-10-17
 */
public interface ICbNormRoleService extends IService<CbNormRole> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbNormRoleVo> queryList(CbNormRoleVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbNormRoleVo> queryAll(CbNormRoleVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbNormRoleVo queryById(String id);
}
