package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbNorm;
import com.hjy.module.vo.norm.CbNormVo;

import java.util.List;

/**
 * 指标分类Service接口
 *
 * @author Tellsea
 * @date 2023-08-21
 */
public interface ICbNormService extends IService<CbNorm> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbNormVo> queryList(CbNormVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbNormVo> queryAll(CbNormVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbNormVo queryById(String id);

    /**
     * 检查唯一性
     * @param name
     * @param id
     * @return
     */
    boolean checkName(String name, String id);

}
