package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbQuotaFee;
import com.hjy.module.vo.norm.CbQuotaFeeVo;

import java.util.List;

/**
 * 辅助指标明细Service接口
 *
 * @author lbl
 * @date 2023-10-08
 */
public interface ICbQuotaFeeService extends IService<CbQuotaFee> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbQuotaFeeVo> queryList(CbQuotaFeeVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbQuotaFeeVo> queryAll(CbQuotaFeeVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbQuotaFeeVo queryById(String id);


    boolean add(CbQuotaFeeVo entity);
}
