package com.hjy.module.service.norm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.norm.CbQuota;
import com.hjy.module.vo.norm.CbQuotaVo;

import java.util.List;

/**
 * 辅助指标分类Service接口
 *
 * @author lbl
 * @date 2023-10-09
 */
public interface ICbQuotaService extends IService<CbQuota> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbQuotaVo> queryList(CbQuotaVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbQuotaVo> queryAll(CbQuotaVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbQuotaVo queryById(String id);
}
