package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbNormFee;
import com.hjy.module.mapper.norm.CbNormFeeMapper;
import com.hjy.module.service.norm.ICbNormFeeService;
import com.hjy.module.vo.norm.CbNormFeeVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 指标权重明细Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-21
 */
@Service
public class CbNormFeeServiceImpl extends ServiceImpl<CbNormFeeMapper, CbNormFee> implements ICbNormFeeService {

    @Override
    public TableDataInfo<CbNormFeeVo> queryList(CbNormFeeVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbNormFeeVo> queryAll(CbNormFeeVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbNormFeeVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    public boolean updateFormulaById(String formula,String id) {
        return this.baseMapper.updateFormulaById(formula,id);
    }
    @Override
    public List<CbNormFee> selnormgatherByRole(String normId, String userId){
        return  this.baseMapper.selnormgatherByRole(normId,userId);
    }
}
