package com.hjy.module.service.norm.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.norm.CbQuota;
import com.hjy.module.mapper.norm.CbQuotaMapper;
import com.hjy.module.service.norm.ICbQuotaService;
import com.hjy.module.vo.norm.CbQuotaVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 辅助指标分类Service业务层处理
 *
 * @author lbl
 * @date 2023-10-09
 */
@Service
public class CbQuotaServiceImpl extends ServiceImpl<CbQuotaMapper, CbQuota> implements ICbQuotaService {

    @Override
    public TableDataInfo<CbQuotaVo> queryList(CbQuotaVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbQuotaVo> queryAll(CbQuotaVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbQuotaVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
