package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbBonded;
import com.hjy.module.vo.portal.CbBondedVo;

import java.util.List;

/**
 * 保税区管理Service接口
 *
 * @author Tellsea
 * @date 2023-09-08
 */
public interface ICbBondedService extends IService<CbBonded> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbBondedVo> queryList(CbBondedVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbBondedVo> queryAll(CbBondedVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbBondedVo queryById(String id);
}
