package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.domain.entity.CbCompanyUser;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.vo.portal.CbCompanyUserVo;

import java.util.List;

/**
 * 门户用户Service接口
 *
 * @author Tellsea
 * @date 2023-08-23
 */
public interface ICbCompanyUserService extends IService<CbCompanyUser> {


    CbCompanyUser selectCbCompanyUserByuserName(String userName);

    int checkCbCompanyUserByuserName(String userName);


    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbCompanyUserVo> queryList(CbCompanyUserVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbCompanyUserVo> queryAll(CbCompanyUserVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbCompanyUserVo queryById(String id);
}
