package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbConferenceReply;
import com.hjy.module.vo.portal.CbConferenceReplyVo;

import java.util.List;

/**
 * 联席会议回复Service接口
 *
 * @author Tellsea
 * @date 2023-09-27
 */
public interface ICbConferenceReplyService extends IService<CbConferenceReply> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbConferenceReplyVo> queryList(CbConferenceReplyVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbConferenceReplyVo> queryAll(CbConferenceReplyVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbConferenceReplyVo queryById(String id);
}
