package com.hjy.module.service.portal;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbContactUs;
import com.hjy.module.vo.portal.CbContactUsVo;

import java.util.List;

/**
 * 联系我们Service接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface ICbContactUsService extends IService<CbContactUs> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbContactUsVo> queryList(CbContactUsVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbContactUsVo> queryAll(CbContactUsVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbContactUsVo queryById(Long id);
}
