package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbLeaveMessage;
import com.hjy.module.vo.portal.CbLeaveMessageVo;

import java.util.List;

/**
 * 留言反馈Service接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface ICbLeaveMessageService extends IService<CbLeaveMessage> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbLeaveMessageVo> queryList(CbLeaveMessageVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbLeaveMessageVo> queryAll(CbLeaveMessageVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbLeaveMessageVo queryById(Long id);
}
