package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbModifyCompanyUser;
import com.hjy.module.vo.portal.CbModifyCompanyUserVo;

import java.util.List;

/**
 * 门户用户修改临时Service接口
 *
 * @author Tellsea
 * @date 2023-10-17
 */
public interface ICbModifyCompanyUserService extends IService<CbModifyCompanyUser> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbModifyCompanyUserVo> queryList(CbModifyCompanyUserVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbModifyCompanyUserVo> queryAll(CbModifyCompanyUserVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbModifyCompanyUserVo queryById(String id);

    /**
     * 删除临时用户数据
     * @param id
     * @return
     */
    void deleteUser(String id);
}
