package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbOnline;
import com.hjy.module.vo.portal.CbOnlineVo;

import java.util.List;

/**
 * 网上办事Service接口
 *
 * @author Tellsea
 * @date 2023-08-24
 */
public interface ICbOnlineService extends IService<CbOnline> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbOnlineVo> queryList(CbOnlineVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbOnlineVo> queryAll(CbOnlineVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbOnlineVo queryById(Long id);
}
