package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbSensitive;
import com.hjy.module.vo.portal.CbSensitiveVo;

import java.util.List;

/**
 * 敏感词管理Service接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface ICbSensitiveService extends IService<CbSensitive> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbSensitiveVo> queryList(CbSensitiveVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbSensitiveVo> queryAll(CbSensitiveVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbSensitiveVo queryById(String id);
}
