package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbSystem;
import com.hjy.module.vo.portal.CbSystemVo;

import java.util.List;

/**
 * 系统管理Service接口
 *
 * @author Tellsea
 * @date 2023-09-08
 */
public interface ICbSystemService extends IService<CbSystem> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbSystemVo> queryList(CbSystemVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbSystemVo> queryAll(CbSystemVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbSystemVo queryById(String id);
}
