package com.hjy.module.service.portal;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.portal.CbWebsite;
import com.hjy.module.vo.portal.CbWebsiteVo;

/**
 * 网站管理Service接口
 *
 * @author Tellsea
 * @date 2023-08-29
 */
public interface ICbWebsiteService extends IService<CbWebsite> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbWebsiteVo> queryList(CbWebsiteVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbWebsiteVo queryById(String id);
}
