package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbBonded;
import com.hjy.module.mapper.portal.CbBondedMapper;
import com.hjy.module.service.portal.ICbBondedService;
import com.hjy.module.vo.portal.CbBondedVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 保税区管理Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-08
 */
@Service
public class CbBondedServiceImpl extends ServiceImpl<CbBondedMapper, CbBonded> implements ICbBondedService {

    @Override
    public TableDataInfo<CbBondedVo> queryList(CbBondedVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbBondedVo> queryAll(CbBondedVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbBondedVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
