package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbContactUs;
import com.hjy.module.mapper.portal.CbContactUsMapper;
import com.hjy.module.service.portal.ICbContactUsService;
import com.hjy.module.vo.portal.CbContactUsVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 联系我们Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Service
public class CbContactUsServiceImpl extends ServiceImpl<CbContactUsMapper, CbContactUs> implements ICbContactUsService {

    @Override
    public TableDataInfo<CbContactUsVo> queryList(CbContactUsVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity,null));
    }

    @Override
    public List<CbContactUsVo> queryAll(CbContactUsVo entity) {
        return this.baseMapper.queryList(entity,1);
    }

    @Override
    public CbContactUsVo queryById(Long id) {
        return this.baseMapper.queryById(id);
    }
}
