package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbLeaveMessage;
import com.hjy.module.mapper.portal.CbLeaveMessageMapper;
import com.hjy.module.service.portal.ICbLeaveMessageService;
import com.hjy.module.vo.portal.CbLeaveMessageVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 留言反馈Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Service
public class CbLeaveMessageServiceImpl extends ServiceImpl<CbLeaveMessageMapper, CbLeaveMessage> implements ICbLeaveMessageService {

    @Override
    public TableDataInfo<CbLeaveMessageVo> queryList(CbLeaveMessageVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbLeaveMessageVo> queryAll(CbLeaveMessageVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbLeaveMessageVo queryById(Long id) {
        return this.baseMapper.queryById(id);
    }
}
