package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbMessage;
import com.hjy.module.mapper.portal.CbMessageMapper;
import com.hjy.module.service.portal.ICbMessageService;
import com.hjy.module.vo.portal.CbMessageVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 门户消息通知Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-23
 */
@Service
public class CbMessageServiceImpl extends ServiceImpl<CbMessageMapper, CbMessage> implements ICbMessageService {

    @Override
    public TableDataInfo<CbMessageVo> queryList(CbMessageVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbMessageVo> queryAll(CbMessageVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbMessageVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
