package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbModifyCompanyUser;
import com.hjy.module.mapper.portal.CbModifyCompanyUserMapper;
import com.hjy.module.service.portal.ICbModifyCompanyUserService;
import com.hjy.module.vo.portal.CbModifyCompanyUserVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 门户用户修改临时Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-17
 */
@Service
public class CbModifyCompanyUserServiceImpl extends ServiceImpl<CbModifyCompanyUserMapper, CbModifyCompanyUser> implements ICbModifyCompanyUserService {

    @Override
    public TableDataInfo<CbModifyCompanyUserVo> queryList(CbModifyCompanyUserVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbModifyCompanyUserVo> queryAll(CbModifyCompanyUserVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbModifyCompanyUserVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }

    @Override
    public void deleteUser(String id) {
        this.baseMapper.deleteUser(id);
    }
}
