package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbOnline;
import com.hjy.module.mapper.portal.CbOnlineMapper;
import com.hjy.module.service.portal.ICbOnlineService;
import com.hjy.module.vo.portal.CbOnlineVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 网上办事Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-24
 */
@Service
public class CbOnlineServiceImpl extends ServiceImpl<CbOnlineMapper, CbOnline> implements ICbOnlineService {

    @Override
    public TableDataInfo<CbOnlineVo> queryList(CbOnlineVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbOnlineVo> queryAll(CbOnlineVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbOnlineVo queryById(Long id) {
        return this.baseMapper.queryById(id);
    }
}
