package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbSystem;
import com.hjy.module.mapper.portal.CbSystemMapper;
import com.hjy.module.service.portal.ICbSystemService;
import com.hjy.module.vo.portal.CbSystemVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 系统管理Service业务层处理
 *
 * @author Tellsea
 * @date 2023-09-08
 */
@Service
public class CbSystemServiceImpl extends ServiceImpl<CbSystemMapper, CbSystem> implements ICbSystemService {

    @Override
    public TableDataInfo<CbSystemVo> queryList(CbSystemVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbSystemVo> queryAll(CbSystemVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbSystemVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
