package com.hjy.module.service.portal.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.portal.CbWebsite;
import com.hjy.module.mapper.portal.CbWebsiteMapper;
import com.hjy.module.service.portal.ICbWebsiteService;
import com.hjy.module.vo.portal.CbWebsiteVo;
import org.springframework.stereotype.Service;

/**
 * 网站管理Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-29
 */
@Service
public class CbWebsiteServiceImpl extends ServiceImpl<CbWebsiteMapper, CbWebsite> implements ICbWebsiteService {

    @Override
    public TableDataInfo<CbWebsiteVo> queryList(CbWebsiteVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public CbWebsiteVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
