package com.hjy.module.service.rank;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.rank.CbRank;
import com.hjy.module.vo.rank.CbRankVo;

import java.util.List;
import java.util.Map;

/**
 * 广西保税区排名Service接口
 *
 * @author Tellsea
 * @date 2023-10-10
 */
public interface ICbRankService extends IService<CbRank> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbRankVo> queryList(CbRankVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbRankVo> queryAll(CbRankVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbRankVo queryById(String id);

    Map<String, List<CbRankVo>> queryInOutRanking();
}
