package com.hjy.module.service.reportsetting;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.reportsetting.ReportSetting;
import com.hjy.module.vo.reportsetting.ReportSettingVo;


import java.util.List;

/**
 * 模板设置Service接口
 *
 * @author Tellsea
 * @date 2024-04-25
 */
public interface IReportSettingService extends IService<ReportSetting> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<ReportSettingVo> queryList(ReportSettingVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<ReportSettingVo> queryAll(ReportSettingVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    ReportSettingVo queryById(String id);
}
