package com.hjy.module.service.statistics;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.statistics.CbIntegral;
import com.hjy.module.vo.statistics.CbIntegralVo;

import java.util.List;

/**
 * 保税区积分Service接口
 *
 * @author Tellsea
 * @date 2023-09-01
 */
public interface ICbIntegralService extends IService<CbIntegral> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbIntegralVo> queryList(CbIntegralVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbIntegralVo> queryAll(CbIntegralVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbIntegralVo queryById(String id);

    /**
     * 写入积分数据
     * @param integralVo
     */
    void saveEntity(CbIntegralVo integralVo);
}
