package com.hjy.module.service.totexp;


import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.totexp.CbTotexpArea;
import com.hjy.module.vo.totexp.CbTotexpAreaVo;

import java.util.List;

/**
 * 自治区数据Service接口
 *
 * @author Tellsea
 * @date 2023-10-15
 */
public interface ICbTotexpAreaService extends IService<CbTotexpArea> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbTotexpAreaVo> queryList(CbTotexpAreaVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbTotexpAreaVo> queryAll(CbTotexpAreaVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbTotexpAreaVo queryById(Long id);
}
