package com.hjy.module.service.totexp.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.totexp.CbTotexpArea;
import com.hjy.module.mapper.totexp.CbTotexpAreaMapper;
import com.hjy.module.service.totexp.ICbTotexpAreaService;
import com.hjy.module.vo.totexp.CbTotexpAreaVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 自治区数据Service业务层处理
 *
 * @author Tellsea
 * @date 2023-10-15
 */
@Service
public class CbTotexpAreaServiceImpl extends ServiceImpl<CbTotexpAreaMapper, CbTotexpArea> implements ICbTotexpAreaService {

    @Override
    public TableDataInfo<CbTotexpAreaVo> queryList(CbTotexpAreaVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<CbTotexpAreaVo> queryAll(CbTotexpAreaVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public CbTotexpAreaVo queryById(Long id) {
        return this.baseMapper.queryById(id);
    }
}
