package com.hjy.module.service.wf;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.wf.WfProDefAction;
import com.hjy.module.vo.wf.WfProDefActionVo;

import java.util.List;

/**
 * 流程节点定义Service接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface IWfProDefActionService extends IService<WfProDefAction> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<WfProDefActionVo> queryList(WfProDefActionVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<WfProDefActionVo> queryAll(WfProDefActionVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    WfProDefActionVo queryById(String id);
}
