package com.hjy.module.service.wf;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.wf.WfProtemplate;
import com.hjy.module.vo.wf.WfProtemplateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程模板Service接口
 *
 * @author Tellsea
 * @date 2023-08-09
 */
public interface IWfProtemplateService extends IService<WfProtemplate> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<WfProtemplateVo> queryList(WfProtemplateVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<WfProtemplateVo> queryAll(WfProtemplateVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    WfProtemplateVo queryById(String id);


    WfProtemplateVo queryByService(@Param("serviceName") String serviceName,@Param("cbId") Long cbId);
}
