package com.hjy.module.service.wf.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.common.utils.PageUtils;
import com.hjy.module.domain.wf.WfProDefAction;
import com.hjy.module.mapper.wf.WfProDefActionMapper;
import com.hjy.module.service.wf.IWfProDefActionService;
import com.hjy.module.vo.wf.WfProDefActionVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 流程节点定义Service业务层处理
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Service
public class WfProDefActionServiceImpl extends ServiceImpl<WfProDefActionMapper, WfProDefAction> implements IWfProDefActionService {

    @Override
    public TableDataInfo<WfProDefActionVo> queryList(WfProDefActionVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<WfProDefActionVo> queryAll(WfProDefActionVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public WfProDefActionVo queryById(String id) {
        return this.baseMapper.queryById(id);
    }
}
