package com.hjy.module.statistics.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 各项进出口值本年占比(亿元)
 * @Author Mechrevo
 * @Date 2023年 10月 10日 10时 55分
 **/
@Data
public class GxjckzbnzbVo {
//
//    @ApiModelProperty("部门id")
//    private String deptId;

    @ApiModelProperty("部门名称")
    private String deptName;

    @ApiModelProperty("所占百分比")
    private String percentage;

    @ApiModelProperty("所占总值")
    private BigDecimal totalMoney;

    @ApiModelProperty("单位")
    private String unit;

    @ApiModelProperty("指标ID")
    private String normFeeId;

    @ApiModelProperty("当前指标所有保税区累计结果")
    private String sum;

    @ApiModelProperty("排序字段")
    private Integer sort;

}
