package com.hjy.module.statistics.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 广西综合保税区三大进出口值上月占比
 * @Author Mechrevo
 * @Date 2023年 10月 13日 10时 29分
 **/
@Data
@Api("广西综合保税区三大进出口值上月占比")
public class GxzhbsqsdzzjckzbVo {

    @ApiModelProperty("保税区主键")
    private String deptId;

    @ApiModelProperty("保税区名称")
    private String deptName;

    private List<paramVo> list;

    @ApiModelProperty("时间")
    private String time;

    @ApiModelProperty("排序字段")
    private Integer sort;

}
