package com.hjy.module.vo.garden;

import com.hjy.common.annotation.Excel;
import com.hjy.module.domain.garden.TbGardenTradeData;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 园区贸易数据Vo对象 TB_GARDEN_TRADE_DATA
 *
 * @author Tellsea
 * @date 2023-09-26
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class TbGardenTradeDataVo extends TbGardenTradeData {


    @Excel(name = "园区名称")
    private String gardenName;

}
