package com.hjy.module.vo.gather;

import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.wf.WfInstActionTaskVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 数据采集Vo对象 CB_GATHER
 *
 * @author Tellsea
 * @date 2023-08-30
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbGatherVo extends CbGather {


    @ApiModelProperty("采集明细集合")
    private List<CbGatherFeeVo> feeLists;

    @ApiModelProperty("审核任务明细")
    private List<WfInstActionTaskVo> taskVoList;

}
