package com.hjy.module.vo.news;

import com.hjy.module.domain.news.CbNews;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 网站新闻Vo对象 CB_NEWS
 *
 * @author Tellsea
 * @date 2023-08-22
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbNewsVo extends CbNews {

    /**
     * 状态集合
     */
    @ApiModelProperty("查询状态集合")
    private String[] statusArr;

}
