package com.hjy.module.vo.norm;

import com.hjy.module.domain.norm.CbQuotaBonded;
import com.hjy.module.vo.wf.WfInstActionTaskVo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 辅助指标-综保区Vo对象 CB_QUOTA_BONDED
 *
 * @author lbl
 * @date 2023-10-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbQuotaBondedVo extends CbQuotaBonded {

    private List<CbQuotaBondedFeeVo> bondedFeeList;

    private List<WfInstActionTaskVo> taskVoList;
}
