package com.hjy.module.vo.portal;

import com.hjy.common.annotation.Excel;
import com.hjy.module.domain.portal.CbDataFilling;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 数据填报记录Vo对象 CB_DATA_FILLING
 *
 * @author Tellsea
 * @date 2023-09-26
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbDataFillingVo extends CbDataFilling {
    /**
     * 年度投资计划
     */
    @Excel(name = "年度投资计划")
    private Double plan;
}
