package com.hjy.module.vo.portal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.hjy.common.annotation.Excel;
import com.hjy.module.domain.portal.CbJointConference;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 联席会议Vo对象 CB_JOINT_CONFERENCE
 *
 * @author Tellsea
 * @date 2023-09-27
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class CbJointConferenceVo extends CbJointConference {
    /**
     * 协作部门id
     */
    @TableField(fill = FieldFill.INSERT)
    @Excel(name = "协作部门id")
    private Integer[] cooperativeUnitId;

    private String createByName;
}
