package com.hjy.module.vo.report;

import com.hjy.module.domain.report.ReportRecord;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 辅助决策Vo对象 REPORT_RECORD
 *
 * @author Tellsea
 * @date 2024-04-26
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ReportRecordVo extends ReportRecord {

    private String gxTradeTotalMoney;
    private String preface;
    private String paths;

}
