package com.hjy.module.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class FigureVo {

    /**
     * 保税区
     */
    @ApiModelProperty("保税区")
    private String cbName;

    /**
     * 响应列名
     */
    @ApiModelProperty("响应列名")
    private String colName;

    /**
     * 响应列值
     */
    @ApiModelProperty("响应列值")
    private BigDecimal colValue;

    /**
     * 增加列（占比）
     */
    @ApiModelProperty("增加列（占比）")
    private BigDecimal colRatio;

}
