package com.hjy.module.vo.wf;

import com.hjy.module.domain.wf.WfInstActionTask;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 审批任务实例Vo对象 WF_INST_ACTION_TASK
 *
 * @author Tellsea
 * @date 2023-08-09
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class WfInstActionTaskVo extends WfInstActionTask {

    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    private String execName;

    /**
     * 业务备注
     */
    @ApiModelProperty("业务备注")
    private String fromKeyword;

    /**
     * 流程名称
     */
    @ApiModelProperty("流程名称")
    private String proname;

    /**
     * 业务实体
     */
    @ApiModelProperty("业务实体")
    private Object formobj;

    /**
     * 前端组件地址
     */
    @ApiModelProperty("前端组件地址")
    private String infoUrl;

    /**
     * 历史节点
     */
    @ApiModelProperty("历史节点")
    private List<WfInstActionTaskVo> taskHisAction;


}
